/*  (C) Copyright 2009-2013 Texas Instruments, Inc.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


#ifndef QMSS_QOS_SCHED_DROP_SCHED_BE_H_
#define QMSS_QOS_SCHED_DROP_SCHED_BE_H_

#ifdef __cplusplus
extern "C" {
#endif



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int qos_sched_drop_sched_be[] =  {
     0x21000300,
     0x80200001,
     0x02000106,
     0x240000e0,
     0x81002280,
     0x2406d6e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x242000e0,
     0x240000e1,
     0x0504e0e0,
     0x80e02981,
     0x6f00e0fe,
     0x24000181,
     0x248020c1,
     0x24010682,
     0x240200c2,
     0x241ff8e0,
     0x80e06981,
     0x24fee1e0,
     0x24deade1,
     0x24beefe2,
     0x241814e3,
     0x80e3a980,
     0x2eff8382,
     0x241e0082,
     0x24000027,
     0x24073084,
     0x2eff878d,
     0x240034ce,
     0x2400848e,
     0x2400242f,
     0x2400740f,
     0x24000430,
     0x24000410,
     0x8084e98d,
     0x008e8484,
     0x01012727,
     0x51142702,
     0x21002400,
     0x1f17e3e3,
     0x241ff0e0,
     0x91082281,
     0x90802984,
     0x0101c4c1,
     0x80802981,
     0x241f80e0,
     0x92e02984,
     0xc917e303,
     0x1d17e3e3,
     0x21005500,
     0x90c4e989,
     0x9084e98d,
     0x90c52994,
     0x90852991,
     0x90c6699b,
     0x2303bf9e,
     0xc827e319,
     0x5100fc16,
     0x0048c2c7,
     0x0028c7c7,
     0x0068c7c7,
     0x0904c7e0,
     0x90e06780,
     0xd1020903,
     0x70fce00f,
     0x21004500,
     0x70fce10d,
     0x10c7c7e0,
     0x2302389e,
     0x8282a98d,
     0x011c8282,
     0x9286a98d,
     0x00e0f1f1,
     0x0300f0f0,
     0x0101f3f3,
     0x8286a98d,
     0x051c8282,
     0x9282a98d,
     0x21003f00,
     0x2302329e,
     0x60146807,
     0x2302149e,
     0x61142702,
     0x23020d9e,
     0xc827e303,
     0x23021d9e,
     0x23022d9e,
     0xcf1fffe0,
     0x1f1fffff,
     0x01016363,
     0x241f80e0,
     0x82e02984,
     0x21005f00,
     0x91006984,
     0xc90704f3,
     0x240001e5,
     0x69800409,
     0x69012405,
     0x241830e0,
     0x90e06986,
     0x10c6c6c4,
     0x21015100,
     0x69002422,
     0x10c2c2c4,
     0x21015100,
     0x6981040e,
     0x111fc4e0,
     0x5100e003,
     0x240003e5,
     0x21015100,
     0x69012406,
     0x241830e0,
     0x90e06986,
     0x10c4c4c6,
     0x80e06986,
     0x21015100,
     0x69002414,
     0x10c4c4c2,
     0x21015100,
     0x69820408,
     0x240000e0,
     0x81002280,
     0x10c4c4e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x21015100,
     0x69900447,
     0x1f17e3e3,
     0x69016403,
     0x6f0044ea,
     0x21008800,
     0x5f1444e8,
     0x6f0064e7,
     0x51012404,
     0x51002429,
     0x240004e5,
     0x21015100,
     0x51006403,
     0x1f16e3e3,
     0x21015000,
     0x1e44e3e3,
     0x24073086,
     0x240084e1,
     0x104444e0,
     0x5100e006,
     0x4900e002,
     0x240000e1,
     0x00e18686,
     0x0501e0e0,
     0x4f00e0fc,
     0x9086e988,
     0x240000e8,
     0x2400006b,
     0x2400004b,
     0x108989c6,
     0x108686e0,
     0x240000e7,
     0x80e02987,
     0x0504c6c6,
     0x0104e0e0,
     0x6f00c6fd,
     0x8086e988,
     0x104444e0,
     0x23020d9e,
     0x50e02703,
     0x2302149e,
     0x2100a700,
     0x1063636f,
     0x23021d9e,
     0x50290704,
     0x10343471,
     0x2302249e,
     0x2100ac00,
     0x2302149e,
     0x21015000,
     0x51006403,
     0x1d16e3e3,
     0x21015000,
     0x1cc4e3e3,
     0x10c4c4e0,
     0x23020d9e,
     0x50e02703,
     0x2302149e,
     0x2100b800,
     0x00c248c7,
     0x240000dd,
     0x5010dd0a,
     0x0904c7e0,
     0x90e02780,
     0x5100e004,
     0x10c7c7e0,
     0x2302389e,
     0x2100be00,
     0x0101dddd,
     0x0101c7c7,
     0x2100bd00,
     0x21015000,
     0x69910444,
     0x240040c7,
     0x24000086,
     0x69016404,
     0x24133087,
     0x2400a0c6,
     0x2100f900,
     0x69026406,
     0x2416d087,
     0x240140c6,
     0x51002402,
     0x2303a69e,
     0x2100f900,
     0x69036404,
     0x24118087,
     0x2401b0c6,
     0x2100f900,
     0x69046410,
     0x24181087,
     0x240020c6,
     0x5100241d,
     0x050cc6c6,
     0x00c7c680,
     0x0087c6c0,
     0x240003e1,
     0x90802988,
     0x5100e802,
     0x80c02988,
     0x01048080,
     0x0104c0c0,
     0x0501e1e1,
     0x6f00e1fa,
     0x2100f900,
     0x5f144485,
     0x6f006484,
     0x24032087,
     0x240034e1,
     0x10c4c4e0,
     0x5100e006,
     0x4900e002,
     0x240000e1,
     0x00e18787,
     0x0501e0e0,
     0x4f00e0fc,
     0x240034c6,
     0x24002486,
     0x5900c403,
     0x240000c6,
     0x24000086,
     0x51002405,
     0x6f012490,
     0x69006405,
     0x1f17e3e3,
     0x21010000,
     0x108787c7,
     0x24004087,
     0x90c72988,
     0x80872988,
     0x0104c7c7,
     0x01048787,
     0x0504c6c6,
     0x68c68605,
     0x51002403,
     0x0114c7c7,
     0x21010a00,
     0x01148787,
     0x4f00c6f6,
     0x21015100,
     0x69920442,
     0xc9072418,
     0x5f30c460,
     0x2413d081,
     0x0904c4e0,
     0x00e081e0,
     0x90e0e98f,
     0x10efefe9,
     0x240000ea,
     0x10f1f1eb,
     0x240000ec,
     0x10f0f0ed,
     0x10f2f2ee,
     0xc9002402,
     0x240000ef,
     0xc9012402,
     0x240000f0,
     0xc9022402,
     0x240000f1,
     0xc9032402,
     0x240000f2,
     0x80e0e98f,
     0x240300e0,
     0x82e06989,
     0x21015000,
     0x111fc460,
     0x0b05c440,
     0x11074040,
     0x0b08c420,
     0x10242400,
     0x5f146044,
     0x23020d9e,
     0x50602703,
     0x2302149e,
     0x666027ff,
     0x5e29403f,
     0x23021d9e,
     0x50400703,
     0x2302249e,
     0x664007ff,
     0x5e14203a,
     0x23022d9e,
     0x50206803,
     0x2302329e,
     0x662068ff,
     0x9286a98d,
     0x10efeff4,
     0x10eeeef5,
     0x10f1f1f6,
     0x10f0f0f7,
     0x10f2f2f8,
     0x10f3f3f9,
     0x240300e1,
     0x82e16994,
     0xc9000003,
     0x240000ef,
     0x240000ee,
     0xc9010002,
     0x240000f2,
     0xc9020003,
     0x240000f1,
     0x240000f0,
     0xc9030002,
     0x240000f3,
     0x8286a98d,
     0x21015000,
     0x240002e5,
     0x21015100,
     0x240001e5,
     0x24000004,
     0x81006984,
     0x241810e0,
     0x90e0e984,
     0x241830e0,
     0x90e06988,
     0xc916e309,
     0x2302899e,
     0x2302b69e,
     0x2302c69e,
     0x2302e59e,
     0x241814e0,
     0x80e0a985,
     0x241830e0,
     0x80e06988,
     0x23020d9e,
     0xc827e32d,
     0x2400007d,
     0x506f6307,
     0x01016f6f,
     0x00ebeded,
     0xd11fed03,
     0x70eced02,
     0x10ececed,
     0x21016300,
     0x240000e0,
     0x5100ca08,
     0x0904c9e0,
     0xc9030902,
     0x0104e0e0,
     0x90e02780,
     0x04e0cae0,
     0x5100e01d,
     0xd11fe01c,
     0x80822980,
     0x01048282,
     0x2400ff5d,
     0x5100ed17,
     0xd11fed16,
     0x1d003d3d,
     0x23021d9e,
     0x2301939e,
     0x6900e003,
     0x1c075d5d,
     0x21018a00,
     0x000ae0e1,
     0x042ae1e1,
     0x090be1e1,
     0xd1010903,
     0x240001e1,
     0x0914e1e1,
     0x04e1eded,
     0x1f003d3d,
     0x5100ed0b,
     0xd11fed0a,
     0x23025e9e,
     0x5100e008,
     0x80852991,
     0xd7003ded,
     0x21019100,
     0x05048282,
     0x2302149e,
     0x671427d2,
     0x21002a00,
     0x80852991,
     0x21018d00,
     0x109e9ede,
     0x8082698d,
     0x01088282,
     0x2303bc9e,
     0x002848e1,
     0x00c2e1e1,
     0x111fe1e0,
     0x0b05e1e1,
     0x0902e1e1,
     0x90e12581,
     0x0ae0e10d,
     0x51000d4a,
     0x0054346d,
     0x23022d9e,
     0x50346806,
     0xc8680d03,
     0x2301f99e,
     0x2101e900,
     0x2302329e,
     0x663468fc,
     0x5100543b,
     0x2400004d,
     0x240001e1,
     0x0854e1e1,
     0x0501e1e1,
     0x0834e1e1,
     0x100de1e1,
     0x5100e131,
     0x100d51e1,
     0x6900e115,
     0x23022d9e,
     0x50346803,
     0x2302329e,
     0x2101b200,
     0x1034342d,
     0x9086298e,
     0x00fbeeee,
     0x0901fbe0,
     0xd11fee03,
     0x70e0ee02,
     0x10e0e0ee,
     0x5100fb03,
     0xd11fee03,
     0x5100ee02,
     0x1e2d5151,
     0x8086298e,
     0x01012d2d,
     0x2302329e,
     0x666d2df3,
     0x2101af00,
     0x50716805,
     0x23022d9e,
     0x50716803,
     0x2302329e,
     0x2101c700,
     0x100d51e1,
     0xc871e112,
     0x2301f99e,
     0x5100e00d,
     0x000ae0e1,
     0x042ae1e1,
     0x090be1e1,
     0xd1000903,
     0x240001e1,
     0x0914e1e1,
     0x9086298e,
     0x04e1eeee,
     0x8086298e,
     0x5100ee03,
     0xd11fee02,
     0x2101db00,
     0x1c715151,
     0x2301ed9e,
     0x2101e900,
     0x2301ed9e,
     0x66544dd1,
     0x506d6803,
     0x2302329e,
     0x2101df00,
     0x50146806,
     0xc8680d03,
     0x2301f99e,
     0x2101e900,
     0x2302329e,
     0x661468fc,
     0x240000e0,
     0x05088282,
     0x9082698d,
     0x10dede9e,
     0x209e0000,
     0x8082299e,
     0x01048282,
     0x01017171,
     0x606d7103,
     0x23022d9e,
     0x10343471,
     0x50716803,
     0x2302329e,
     0x2101f300,
     0x05048282,
     0x9082299e,
     0x209e0000,
     0x8282a98d,
     0x011c8282,
     0x9286a98d,
     0x002848e0,
     0x0068e0e0,
     0x00c2e0e0,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06680,
     0x5100e108,
     0x0101f2f2,
     0x00e0efef,
     0x0300eeee,
     0x8286a98d,
     0x0904c9f2,
     0x0108f2f2,
     0x80f26680,
     0x051c8282,
     0x9282a98d,
     0x209e0000,
     0x24000027,
     0x24000048,
     0x240320c4,
     0x24073084,
     0x90c4e989,
     0x9084e98d,
     0x209e0000,
     0x8084e98d,
     0x00cec4c4,
     0x008e8484,
     0x01012727,
     0x00104848,
     0x51142703,
     0x90c4e989,
     0x9084e98d,
     0x209e0000,
     0x24000007,
     0x24000028,
     0x0110c4c5,
     0x01108485,
     0x90c52994,
     0x90852991,
     0x209e0000,
     0x80852991,
     0x002fc5c5,
     0x000f8585,
     0x01010707,
     0x00302828,
     0x58290703,
     0x90c52994,
     0x90852991,
     0x209e0000,
     0x24000068,
     0x0104c5c6,
     0x01048586,
     0x90c6699b,
     0x209e0000,
     0x0108c6c6,
     0x011c8686,
     0x01016868,
     0x58146802,
     0x90c6699b,
     0x209e0000,
     0x84822984,
     0x01248282,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06684,
     0x11f00505,
     0x10e4e4e6,
     0x5100e516,
     0xf3006587,
     0x11c067e0,
     0x5100e003,
     0x5180e00e,
     0x21025500,
     0xd10fe902,
     0x240000ec,
     0x240000e4,
     0xc90ee902,
     0x1f1fe4e4,
     0x113f2929,
     0x090489e0,
     0x0108e0e0,
     0x80e06684,
     0x5100ec07,
     0xf3006c87,
     0x21024700,
     0x113f2929,
     0x090489e0,
     0x010ce0e0,
     0x80e02685,
     0x8082299e,
     0x01048282,
     0x2303bf9e,
     0x05048282,
     0x9082299e,
     0x10e6e6e0,
     0x05248282,
     0x94822984,
     0x209e0000,
     0x05048282,
     0x90822981,
     0x5100e10a,
     0xd1030903,
     0x0501e1e1,
     0x21026700,
     0x04e0e1e1,
     0x040ae1e1,
     0x002ae1e1,
     0x240000e0,
     0x5100e103,
     0xd11fe102,
     0x240001e0,
     0x80822981,
     0x01048282,
     0x209e0000,
     0x209e0000,
     0x590c2816,
     0x090de5e9,
     0x14e5e9e9,
     0x0b13e9e9,
     0x11fe0505,
     0x090ce5e5,
     0x14e9e5e5,
     0x0902e6e9,
     0x14e6e9e9,
     0x0b19e9e9,
     0x11f80606,
     0x0904e6e6,
     0x14e9e6e6,
     0x0903e7e9,
     0x14e7e9e9,
     0x0b0be9e9,
     0x11f00707,
     0x0911e7e7,
     0x14e9e7e7,
     0x14e6e5e9,
     0x14e7e9e9,
     0x24002028,
     0x090489e0,
     0x0b08e9e9,
     0x05082828,
     0x209e0000,
     0x109e9ede,
     0x0b05c88e,
     0x09028e8e,
     0x241904cf,
     0x2400008f,
     0x241848d0,
     0x24000011,
     0x908e258d,
     0x01048e8e,
     0x61308f03,
     0x24ffffec,
     0x10eceded,
     0x80cf298d,
     0x0104cfcf,
     0x2701ed31,
     0x5120310d,
     0x00318f71,
     0x2416d0ec,
     0x090271ce,
     0x00ceecce,
     0x90ce2992,
     0x51007205,
     0x00c871c0,
     0x0071d080,
     0x240000c1,
     0x2302aa9e,
     0x1c31eded,
     0x21029700,
     0x01208f8f,
     0x01011111,
     0x6f0311e9,
     0x10dede9e,
     0x209e0000,
     0x0904c0f5,
     0x90f56793,
     0x71fff302,
     0x2400fff3,
     0x011ff4f4,
     0x0b05f4f4,
     0x5100d402,
     0x24fffff4,
     0x5100c102,
     0x80c109d4,
     0x80800973,
     0x209e0000,
     0x109e9ede,
     0x2400006d,
     0x2411808d,
     0x24189880,
     0x2418bcc1,
     0x908da98e,
     0x51002f03,
     0x108e8ec0,
     0x2302aa9e,
     0x01018080,
     0x0102c1c1,
     0x01016d6d,
     0x010c8d8d,
     0x67246df8,
     0x10dede9e,
     0x209e0000,
     0x109e9ede,
     0x241904cf,
     0x24183c8f,
     0x24000070,
     0x10c8c890,
     0x90cf298d,
     0x908f298c,
     0x1700ecec,
     0x10edecec,
     0x1700ecee,
     0x10edeeee,
     0x80cf298e,
     0x0104cfcf,
     0x01048f8f,
     0x2701ec50,
     0x5120500b,
     0x005090d1,
     0x0904d1e0,
     0x90e0278d,
     0x5100ed05,
     0x10d1d1e0,
     0x2302389e,
     0x0501eded,
     0x6f00edfd,
     0x1c50ecec,
     0x2102d400,
     0x01209090,
     0x01017070,
     0x6f0370e9,
     0x10dede9e,
     0x209e0000,
     0x109e9ede,
     0x2400007b,
     0x2400005b,
     0x241904d8,
     0x90d82995,
     0x2701f51a,
     0x51201a7a,
     0x001a5b1b,
     0x2416d0f6,
     0x09021bf7,
     0x00f7f6f7,
     0x90f72994,
     0x00c81b98,
     0x241848f7,
     0x001bf7f7,
     0x90f7095b,
     0x51003b6e,
     0x24118096,
     0x090314d6,
     0x090214f7,
     0x00f7d6f7,
     0x00f796f7,
     0x90f7a98c,
     0x24133096,
     0x09040dd6,
     0x09020df7,
     0x00f7d6f7,
     0x00f796f7,
     0x92f7298f,
     0x2413d096,
     0x09043499,
     0x00999699,
     0x2418bcf7,
     0x0014f7f7,
     0x0014f7f7,
     0x90f7099a,
     0x241898f7,
     0x0014f7f7,
     0x90f7095a,
     0x2303bc9e,
     0x5100f006,
     0xc9000f04,
     0x0905daf6,
     0x60f0f603,
     0x21031d00,
     0x58f03a0b,
     0x51002f14,
     0x241910f7,
     0x0014f7f7,
     0x0014f7f7,
     0x90f70999,
     0x24fffff6,
     0x50f6d904,
     0x5100d90d,
     0x23026f9e,
     0x70e0d90b,
     0x109898e0,
     0x2302389e,
     0x010899f7,
     0x90f7699c,
     0x0101fdfd,
     0x00e0fcfc,
     0x80f7699c,
     0xd11ffd19,
     0xc91ffc35,
     0x21033d00,
     0x090498f7,
     0x0108f7f7,
     0x90f76680,
     0x5100e104,
     0x09048cf7,
     0x0108f7f7,
     0x80f76680,
     0x9099699c,
     0x00e0fcfc,
     0x0101fdfd,
     0x8099699c,
     0x51ff3a02,
     0x01013a3a,
     0x011fe0e0,
     0x0b05e0e0,
     0x00e0dae0,
     0x24ffffe1,
     0x60e1e002,
     0x10e1e1e0,
     0x10e0e0da,
     0xd11ffd02,
     0xc91ffc1e,
     0x5100541d,
     0x24181c80,
     0x090254c0,
     0x00c080c0,
     0x10999980,
     0x84826995,
     0x01288282,
     0x90c02995,
     0x0904d5e1,
     0x010ce1e1,
     0x90e12681,
     0x5100e110,
     0x9080e99b,
     0x10fefefa,
     0x10fdfdf8,
     0x10fcfcf9,
     0x10fbfbf7,
     0x2eff879b,
     0x8080e99b,
     0x24001436,
     0x10343416,
     0x10e1e1e0,
     0x11f00000,
     0xe3002096,
     0x090495e0,
     0x010ce0e0,
     0x80e02681,
     0x05288282,
     0x94826995,
     0x05013b3b,
     0x6f003bb1,
     0x2418bcf7,
     0x0014f7f7,
     0x0014f7f7,
     0x80f7099a,
     0x241898f7,
     0x0014f7f7,
     0x80f7095a,
     0x1c1af5f5,
     0x2102ea00,
     0x01205b5b,
     0x01017b7b,
     0x0104d8d8,
     0x6f037b81,
     0x2400007a,
     0x241180d7,
     0x2418bcd8,
     0x24191099,
     0x2303bc9e,
     0x90d7a98c,
     0x51002d30,
     0x90d809d4,
     0x090594f4,
     0x24133095,
     0x09040dd5,
     0x09020dd9,
     0x00d9d5d9,
     0x00d995d9,
     0x92d9298f,
     0x51002f27,
     0x0a4feef5,
     0x04f5f4f5,
     0x00f5eeee,
     0x0108d7d9,
     0x80d9298e,
     0x48f1ee03,
     0x24000098,
     0x21039e00,
     0x58f2ee1c,
     0x04f1eef5,
     0x0a4ff5f5,
     0x10f5f5e0,
     0x10f3f3e1,
     0x48f5f303,
     0x10f3f3e0,
     0x10f5f5e1,
     0x240000f5,
     0x2701e03a,
     0x51203a05,
     0x083ae1f6,
     0x00f6f5f5,
     0x1c3ae0e0,
     0x21038a00,
     0x240000e0,
     0x24000098,
     0x10ccccc1,
     0x2701c13a,
     0x51203a08,
     0x0d203a1a,
     0x083af5f6,
     0x00f6e0e0,
     0x0a1af5f6,
     0x02f69898,
     0x1c3ac1c1,
     0x21039300,
     0x21039e00,
     0x24ffff98,
     0x809909d8,
     0x01029999,
     0x01017a7a,
     0x010cd7d7,
     0x0102d8d8,
     0x67247aca,
     0x10dede9e,
     0x209e0000,
     0x8082e98c,
     0x01108282,
     0x2400006e,
     0x2400408e,
     0x24183ccf,
     0x240000ed,
     0x908e298c,
     0x01048e8e,
     0x111f6e4e,
     0x51006c02,
     0x1e4eeded,
     0x691f4e04,
     0x80cf298d,
     0x0104cfcf,
     0x240000ed,
     0x01016e6e,
     0x67506ef6,
     0x511f4e02,
     0x80cf298d,
     0x05108282,
     0x9082e98c,
     0x209e0000,
     0xc91fff03,
     0x1f1fffff,
     0x01016363,
     0x2402e0e0,
     0x90e06980,
     0x5100e00d,
     0x5100e10c,
     0x80826982,
     0x01088282,
     0x0904c0e3,
     0x0108e3e3,
     0x108080e0,
     0x80e36680,
     0x2eff8380,
     0x2402e0c2,
     0x80c26980,
     0x05088282,
     0x90826982,
     0x209e0000,
     0x00000034,
     0x00000000,
     0x00000084,
     0x00000000,
     0x00000010,
     0x00000014,
     0x00000040,
     0x000001b0,
     0x000000a0,
     0x00000140,
     0x00000300,
     0x00000020,
     0x00000014 };

#ifdef __cplusplus
}
#endif

#endif /* QMSS_QOS_SCHED_DROP_SCHED_BE_H_ */

