/******************************************************************************
 * FILE PURPOSE:  SALLD Engine MCI Tables
 ******************************************************************************
 * FILE NAME:   salldmci.c
 *
 * DESCRIPTION: The file contains the SA engine core specific Mode Control
 *  Instruction (MCI) tables
 *
 * Note: This file is generated from mce_instr_summary.txt.
 *       Do not update it manually.
 *
 * Note: This is a special version of MCI file with 3GPP standard modes disabled.
 *
 *
 * REVISION HISTORY:
 *
 * (C) Copyright 2012, Texas Instruments Inc.
 *  
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 * 
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 * 
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *  
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  AS IS AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  
*/
/* SALLD header files */
#include "salldloc.h"
#include "salldctx.h"


const uint8_t sa_eng_aes_enc_mci_tbl[11][3][27] = {
    {
        {
            0x21,0x00,0x00,0x80,0x8a,0x04,0xb7,0x90,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x21,0x00,0x00,0x84,0x8a,0x04,0xb7,0x90,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x21,0x00,0x00,0x88,0x8a,0x04,0xb7,0x90,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    },
    {
        {
            0x21,0x00,0x00,0x18,0x88,0x0a,0xaa,0x4b,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x21,0x00,0x00,0x18,0x88,0x4a,0xaa,0x4b,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x21,0x00,0x00,0x18,0x88,0x8a,0xaa,0x4b,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    },
    {
        {
            0x21,0x00,0x00,0x80,0x9a,0x09,0x94,0x7c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x21,0x00,0x00,0x84,0x9a,0x09,0x94,0x7c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x21,0x00,0x00,0x88,0x9a,0x09,0x94,0x7c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    },
    {
        {
            0x21,0x00,0x00,0x80,0x9a,0xa5,0xb4,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x21,0x00,0x00,0x84,0x9a,0xa5,0xb4,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x21,0x00,0x00,0x88,0x9a,0xa5,0xb4,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    },
    {
        {
            0x21,0x00,0x00,0x80,0x9a,0x8f,0x54,0x1b,0x82,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x21,0x00,0x00,0x84,0x9a,0x8f,0x54,0x1b,0x82,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x21,0x00,0x00,0x88,0x9a,0x8f,0x54,0x1b,0x82,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    },
    {
        {
            0x21,0x00,0x22,0x3b,0xa3,0xfb,0x19,0x31,0x91,0x80,0xa5,0xc3,0xa8,0x89,0x9e,0x10,0x2c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x21,0x00,0x22,0x3b,0xa3,0xfb,0x19,0x31,0x91,0x84,0xa5,0xc3,0xa8,0x89,0x9e,0x10,0x2c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x21,0x00,0x22,0x3b,0xa3,0xfb,0x19,0x31,0x91,0x88,0xa5,0xc3,0xa8,0x89,0x9e,0x10,0x2c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    },
    {
        {
            0x61,0x00,0x44,0x80,0xa9,0xfe,0x83,0x99,0x7e,0x58,0x2e,0x0a,0x90,0x71,0x41,0x83,0x9d,0x63,0xaa,0x0b,0x7e,0x9a,0x78,0x3a,0xa3,0x8b,0x1e
        },
        {
            0x61,0x00,0x44,0x84,0xa9,0xfe,0x83,0x99,0x7e,0x58,0x2e,0x4a,0x90,0x71,0x41,0x83,0x9d,0x63,0xaa,0x0b,0x7e,0x9a,0x78,0x3a,0xa3,0x8b,0x1e
        },
        {
            0x61,0x00,0x44,0x88,0xa9,0xfe,0x83,0x99,0x7e,0x58,0x2e,0x8a,0x90,0x71,0x41,0x83,0x9d,0x63,0xaa,0x0b,0x7e,0x9a,0x78,0x3a,0xa3,0x8b,0x1e
        }

    },
    {
        {
            0x41,0x00,0x44,0x80,0xa9,0xfe,0x83,0x99,0x7e,0x14,0x18,0x39,0xd4,0xba,0xa0,0xb7,0xe9,0xa7,0x83,0xaa,0x38,0xb5,0xe0,0x00,0x00,0x00,0x00
        },
        {
            0x41,0x00,0x44,0x84,0xa9,0xfe,0x83,0x99,0x7e,0x14,0x18,0x39,0xd4,0xba,0xa0,0xb7,0xe9,0xa7,0x83,0xaa,0x38,0xb5,0xe0,0x00,0x00,0x00,0x00
        },
        {
            0x41,0x00,0x44,0x88,0xa9,0xfe,0x83,0x99,0x7e,0x14,0x18,0x39,0xd4,0xba,0xa0,0xb7,0xe9,0xa7,0x83,0xaa,0x38,0xb5,0xe0,0x00,0x00,0x00,0x00
        }

    },
    {
        {
            0x61,0x00,0x66,0x80,0xa9,0x8f,0x80,0xa9,0xbe,0x80,0xb9,0x7e,0x18,0x28,0x0a,0x9b,0xe5,0xc3,0x80,0xbd,0x6c,0x15,0x1a,0x8e,0xb0,0x00,0x00
        },
        {
            0x61,0x00,0x66,0x84,0xa9,0x8f,0x84,0xa9,0xbe,0x84,0xb9,0x7e,0x18,0x28,0x4a,0x9b,0xe5,0xc3,0x84,0xbd,0x6c,0x15,0x1a,0x8e,0xb0,0x00,0x00
        },
        {
            0x61,0x00,0x66,0x88,0xa9,0x8f,0x88,0xa9,0xbe,0x88,0xb9,0x7e,0x18,0x28,0x8a,0x9b,0xe5,0xc3,0x88,0xbd,0x6c,0x15,0x1a,0x8e,0xb0,0x00,0x00
        }

    },
    {
        {
            0x41,0x00,0x00,0xf1,0x0d,0x19,0x10,0x8d,0x2c,0x12,0x88,0x08,0xa6,0x4b,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x41,0x00,0x00,0xf1,0x0d,0x19,0x10,0x8d,0x2c,0x12,0x88,0x48,0xa6,0x4b,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x41,0x00,0x00,0xf1,0x0d,0x19,0x10,0x8d,0x2c,0x12,0x88,0x88,0xa6,0x4b,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    },
    {
        {
            0x01,0x00,0x11,0x37,0x91,0x41,0x80,0x9a,0x4c,0x97,0xec,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x01,0x00,0x11,0x37,0x91,0x41,0x84,0x9a,0x4c,0x97,0xec,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x01,0x00,0x11,0x37,0x91,0x41,0x88,0x9a,0x4c,0x97,0xec,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    }

};

const uint8_t sa_eng_aes_dec_mci_tbl[11][3][27] = {
    {
        {
            0x31,0x00,0x00,0x80,0x8a,0x04,0xb7,0x90,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x31,0x00,0x00,0x84,0x8a,0x04,0xb7,0x90,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x31,0x00,0x00,0x88,0x8a,0x04,0xb7,0x90,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    },
    {
        {
            0x31,0x00,0x00,0x80,0x8a,0xca,0x98,0xf4,0x40,0xc0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x31,0x00,0x00,0x84,0x8a,0xca,0x98,0xf4,0x40,0xc0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x31,0x00,0x00,0x88,0x8a,0xca,0x98,0xf4,0x40,0xc0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    },
    {
        {
            0x21,0x00,0x00,0x80,0x9a,0xc7,0x44,0x0b,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x21,0x00,0x00,0x84,0x9a,0xc7,0x44,0x0b,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x21,0x00,0x00,0x88,0x9a,0xc7,0x44,0x0b,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    },
    {
        {
            0x21,0x00,0x00,0x80,0x9a,0xa5,0xb4,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x21,0x00,0x00,0x84,0x9a,0xa5,0xb4,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x21,0x00,0x00,0x88,0x9a,0xa5,0xb4,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    },
    {
        {
            0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    },
    {
        {
            0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    },
    {
        {
            0x61,0x00,0x44,0x80,0xa9,0xfe,0x83,0x99,0x7e,0x58,0x2e,0x0a,0x14,0x19,0x07,0x83,0x9d,0x63,0xaa,0x0b,0x7e,0x9a,0x78,0x3a,0xa3,0x8b,0x1e
        },
        {
            0x61,0x00,0x44,0x84,0xa9,0xfe,0x83,0x99,0x7e,0x58,0x2e,0x4a,0x14,0x19,0x07,0x83,0x9d,0x63,0xaa,0x0b,0x7e,0x9a,0x78,0x3a,0xa3,0x8b,0x1e
        },
        {
            0x61,0x00,0x44,0x88,0xa9,0xfe,0x83,0x99,0x7e,0x58,0x2e,0x8a,0x14,0x19,0x07,0x83,0x9d,0x63,0xaa,0x0b,0x7e,0x9a,0x78,0x3a,0xa3,0x8b,0x1e
        }

    },
    {
        {
            0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    },
    {
        {
            0x61,0x00,0x66,0x80,0xa9,0x8f,0x80,0xa9,0xbe,0x80,0xb9,0x7e,0x5c,0x3e,0x0b,0x90,0x71,0x82,0x80,0xaa,0x88,0x9b,0xed,0x7c,0x14,0xac,0x00
        },
        {
            0x61,0x00,0x66,0x84,0xa9,0x8f,0x84,0xa9,0xbe,0x84,0xb9,0x7e,0x5c,0x3e,0x4b,0x90,0x71,0x82,0x84,0xaa,0x88,0x9b,0xed,0x7c,0x14,0xac,0x00
        },
        {
            0x61,0x00,0x66,0x88,0xa9,0x8f,0x88,0xa9,0xbe,0x88,0xb9,0x7e,0x5c,0x3e,0x8b,0x90,0x71,0x82,0x88,0xaa,0x88,0x9b,0xed,0x7c,0x14,0xac,0x00
        }

    },
    {
        {
            0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    },
    {
        {
            0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        },
        {
            0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
        }

    }

};

const uint8_t sa_eng_des_enc_mci_tbl[4][27] = {
    {
        0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    },
    {
        0x20,0x00,0x00,0x18,0x88,0x12,0xaa,0x4b,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    },
    {
        0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    },
    {
        0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    }

};

const uint8_t sa_eng_des_dec_mci_tbl[4][27] = {
    {
        0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    },
    {
        0x30,0x00,0x00,0x81,0x0a,0xca,0x98,0xf4,0x40,0xc0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    },
    {
        0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    },
    {
        0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    }

};

const uint8_t sa_eng_3des_enc_mci_tbl[4][27] = {
    {
        0x20,0x00,0x00,0x85,0x0a,0x04,0xb7,0x90,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    },
    {
        0x20,0x00,0x00,0x18,0x88,0x52,0xaa,0x4b,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    },
    {
        0x20,0x00,0x00,0x85,0x1a,0x09,0x94,0x7c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    },
    {
        0x20,0x00,0x00,0x85,0x1a,0xa5,0xb4,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    }

};

const uint8_t sa_eng_3des_dec_mci_tbl[4][27] = {
    {
        0x30,0x00,0x00,0x85,0x0a,0x04,0xb7,0x90,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    },
    {
        0x30,0x00,0x00,0x85,0x0a,0xca,0x98,0xf4,0x40,0xc0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    },
    {
        0x20,0x00,0x00,0x85,0x1a,0xc7,0x44,0x0b,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    },
    {
        0x20,0x00,0x00,0x85,0x1a,0xa5,0xb4,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    }

};

const uint8_t sa_eng_ah_gmac_mci_tbl[3][27] = {
    {
        0x41,0x00,0x55,0x80,0xa9,0xfe,0x83,0x89,0x7e,0xd4,0x01,0x41,0x83,0x9d,0x53,0xaa,0x0b,0x7e,0x9a,0x78,0x3a,0xa3,0x8b,0x5e,0x00,0x00,0x00
    },
    {
        0x41,0x00,0x55,0x84,0xa9,0xfe,0x83,0x89,0x7e,0xd4,0x01,0x41,0x83,0x9d,0x53,0xaa,0x0b,0x7e,0x9a,0x78,0x3a,0xa3,0x8b,0x5e,0x00,0x00,0x00
    },
    {
        0x41,0x00,0x55,0x88,0xa9,0xfe,0x83,0x89,0x7e,0xd4,0x01,0x41,0x83,0x9d,0x53,0xaa,0x0b,0x7e,0x9a,0x78,0x3a,0xa3,0x8b,0x5e,0x00,0x00,0x00
    }

};

uint8_t sa_eng_kasumi_enc_mci_tbl[1][27] = {
    {
        0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    }

};

uint8_t sa_eng_snow3g_enc_mci_tbl[1][27] = {
    {
        0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    }

};

uint8_t sa_eng_kasumi_auth_mci_tbl[2][27] = {
    {
        0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    },
    {
        0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
    }

};

