/********************************************************************
 * Copyright (C) 2003-2012 Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#include <ti/csl/cslr_srio.h>

/* CSL Modification:
 *  The file has been modified from the AUTOGEN file for the following
 *  reasons:-
 *      a)  RIO_TLM_SP_BRR_0_CTL,RIO_TLM_SP_BRR_0_PATTERN_MATCH to
 *          RIO_TLM_SP_BRR_3_CTL,RIO_TLM_SP_BRR_3_PATTERN_MATCH 
 *          was made into an array of structures.
 */

CSL_SrioRegs CSL_Srio_ResetVals;

void *Srio_Reset_Val_Read()
{
    CSL_Srio_ResetVals.RIO_PID = CSL_SRIO_RIO_PID_RESETVAL;
    CSL_Srio_ResetVals.RIO_PCR = CSL_SRIO_RIO_PCR_RESETVAL;
    CSL_Srio_ResetVals.RIO_PER_SET_CNTL = CSL_SRIO_RIO_PER_SET_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PER_SET_CNTL1 = CSL_SRIO_RIO_PER_SET_CNTL1_RESETVAL;
    CSL_Srio_ResetVals.RIO_GBL_EN = CSL_SRIO_RIO_GBL_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_GBL_EN_STAT = CSL_SRIO_RIO_GBL_EN_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_MULTIID_REG[0] = CSL_SRIO_RIO_MULTIID_REG_RESETVAL;
    CSL_Srio_ResetVals.RIO_MULTIID_REG[1] = CSL_SRIO_RIO_MULTIID_REG_RESETVAL;
    CSL_Srio_ResetVals.RIO_MULTIID_REG[2] = CSL_SRIO_RIO_MULTIID_REG_RESETVAL;
    CSL_Srio_ResetVals.RIO_MULTIID_REG[3] = CSL_SRIO_RIO_MULTIID_REG_RESETVAL;
    CSL_Srio_ResetVals.RIO_MULTIID_REG[4] = CSL_SRIO_RIO_MULTIID_REG_RESETVAL;
    CSL_Srio_ResetVals.RIO_MULTIID_REG[5] = CSL_SRIO_RIO_MULTIID_REG_RESETVAL;
    CSL_Srio_ResetVals.RIO_MULTIID_REG[6] = CSL_SRIO_RIO_MULTIID_REG_RESETVAL;
    CSL_Srio_ResetVals.RIO_MULTIID_REG[7] = CSL_SRIO_RIO_MULTIID_REG_RESETVAL;
    CSL_Srio_ResetVals.RIO_ERR_RST_EVNT_ICSR = CSL_SRIO_RIO_ERR_RST_EVNT_ICSR_RESETVAL;
    CSL_Srio_ResetVals.RIO_ERR_RST_EVNT_ICCR = CSL_SRIO_RIO_ERR_RST_EVNT_ICCR_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_ICSR = CSL_SRIO_RIO_AMU_ICSR_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_ICCR = CSL_SRIO_RIO_AMU_ICCR_RESETVAL;
    CSL_Srio_ResetVals.RIO_LSU0_MODULE_ICRR[0] = CSL_SRIO_RIO_LSU0_MODULE_ICRR_RESETVAL;
    CSL_Srio_ResetVals.RIO_LSU0_MODULE_ICRR[1] = CSL_SRIO_RIO_LSU0_MODULE_ICRR_RESETVAL;
    CSL_Srio_ResetVals.RIO_LSU0_MODULE_ICRR[2] = CSL_SRIO_RIO_LSU0_MODULE_ICRR_RESETVAL;
    CSL_Srio_ResetVals.RIO_LSU0_MODULE_ICRR[3] = CSL_SRIO_RIO_LSU0_MODULE_ICRR_RESETVAL;
    CSL_Srio_ResetVals.RIO_LSU1_MODULE_ICRR = CSL_SRIO_RIO_LSU1_MODULE_ICRR_RESETVAL;
    CSL_Srio_ResetVals.RIO_ERR_RST_EVNT_ICRR = CSL_SRIO_RIO_ERR_RST_EVNT_ICRR_RESETVAL;
    CSL_Srio_ResetVals.RIO_ERR_RST_EVNT_ICRR2 = CSL_SRIO_RIO_ERR_RST_EVNT_ICRR2_RESETVAL;
    CSL_Srio_ResetVals.RIO_ERR_RST_EVNT_ICRR3 = CSL_SRIO_RIO_ERR_RST_EVNT_ICRR3_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_ICRR1 = CSL_SRIO_RIO_AMU_ICRR1_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_ICRR2 = CSL_SRIO_RIO_AMU_ICRR2_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTERRUPT_CTL = CSL_SRIO_RIO_INTERRUPT_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[0] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[1] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[2] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[3] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[4] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[5] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[6] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[7] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[8] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[9] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[10] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[11] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[12] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[13] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[14] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[15] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[16] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[17] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[18] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[19] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[20] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[21] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[22] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_DECODE[23] = CSL_SRIO_RIO_INTDST_DECODE_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_CNT[0] = CSL_SRIO_RIO_INTDST_RATE_CNT_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_CNT[1] = CSL_SRIO_RIO_INTDST_RATE_CNT_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_CNT[2] = CSL_SRIO_RIO_INTDST_RATE_CNT_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_CNT[3] = CSL_SRIO_RIO_INTDST_RATE_CNT_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_CNT[4] = CSL_SRIO_RIO_INTDST_RATE_CNT_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_CNT[5] = CSL_SRIO_RIO_INTDST_RATE_CNT_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_CNT[6] = CSL_SRIO_RIO_INTDST_RATE_CNT_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_CNT[7] = CSL_SRIO_RIO_INTDST_RATE_CNT_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_CNT[8] = CSL_SRIO_RIO_INTDST_RATE_CNT_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_CNT[9] = CSL_SRIO_RIO_INTDST_RATE_CNT_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_CNT[10] = CSL_SRIO_RIO_INTDST_RATE_CNT_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_CNT[11] = CSL_SRIO_RIO_INTDST_RATE_CNT_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_CNT[12] = CSL_SRIO_RIO_INTDST_RATE_CNT_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_CNT[13] = CSL_SRIO_RIO_INTDST_RATE_CNT_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_CNT[14] = CSL_SRIO_RIO_INTDST_RATE_CNT_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_CNT[15] = CSL_SRIO_RIO_INTDST_RATE_CNT_RESETVAL;
    CSL_Srio_ResetVals.RIO_INTDST_RATE_DIS = CSL_SRIO_RIO_INTDST_RATE_DIS_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_SRCID_MAP[0] = CSL_SRIO_RIO_AMU_SRCID_MAP_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_SRCID_MAP[1] = CSL_SRIO_RIO_AMU_SRCID_MAP_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_SRCID_MAP[2] = CSL_SRIO_RIO_AMU_SRCID_MAP_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_SRCID_MAP[3] = CSL_SRIO_RIO_AMU_SRCID_MAP_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_PRIORITY_MAP = CSL_SRIO_RIO_AMU_PRIORITY_MAP_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_CAPT0_MAP = CSL_SRIO_RIO_AMU_CAPT0_MAP_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_CAPT1_MAP = CSL_SRIO_RIO_AMU_CAPT1_MAP_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[0] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[1] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[2] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[3] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[4] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[5] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[6] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[7] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[8] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[9] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[10] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[11] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[12] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[13] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[14] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[15] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[16] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[17] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[18] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[19] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[20] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[21] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[22] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[23] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[24] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[25] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[26] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[27] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[28] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[29] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[30] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[31] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[32] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[33] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[34] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[35] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[36] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[37] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[38] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[39] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[40] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[41] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[42] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[43] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[44] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[45] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[46] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[47] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[48] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[49] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[50] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[51] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[52] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[53] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[54] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[55] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[56] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[57] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[58] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[59] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[60] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[61] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[62] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[63] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[64] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[65] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[66] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[67] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[68] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[69] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[70] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[71] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[72] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[73] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[74] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[75] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[76] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[77] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[78] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[79] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[80] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[81] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[82] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[83] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[84] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[85] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[86] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[87] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[88] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[89] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[90] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[91] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[92] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[93] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[94] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[95] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[96] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[97] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[98] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[99] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[100] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[101] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[102] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[103] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[104] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[105] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[106] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[107] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[108] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[109] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[110] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[111] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[112] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[113] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[114] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[115] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[116] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[117] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[118] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[119] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[120] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[121] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[122] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[123] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[124] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[125] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[126] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_WINDOW_PANE[127] = CSL_SRIO_RIO_AMU_WINDOW_PANE_RESETVAL;
    CSL_Srio_ResetVals.RIO_AMU_FLOW_MASKS0 = CSL_SRIO_RIO_AMU_FLOW_MASKS0_RESETVAL;
    CSL_Srio_ResetVals.RIO_LSU_SETUP_REG0 = CSL_SRIO_RIO_LSU_SETUP_REG0_RESETVAL;
    CSL_Srio_ResetVals.RIO_LSU_SETUP_REG1 = CSL_SRIO_RIO_LSU_SETUP_REG1_RESETVAL;
    CSL_Srio_ResetVals.LSU_STAT_REG[0] = CSL_SRIO_LSU_STAT_REG_RESETVAL;
    CSL_Srio_ResetVals.LSU_STAT_REG[1] = CSL_SRIO_LSU_STAT_REG_RESETVAL;
    CSL_Srio_ResetVals.LSU_STAT_REG[2] = CSL_SRIO_LSU_STAT_REG_RESETVAL;
    CSL_Srio_ResetVals.LSU_STAT_REG[3] = CSL_SRIO_LSU_STAT_REG_RESETVAL;
    CSL_Srio_ResetVals.LSU_STAT_REG[4] = CSL_SRIO_LSU_STAT_REG_RESETVAL;
    CSL_Srio_ResetVals.LSU_STAT_REG[5] = CSL_SRIO_LSU_STAT_REG_RESETVAL;
    CSL_Srio_ResetVals.RIO_LSU_FLOW_MASKS[0] = CSL_SRIO_RIO_LSU_FLOW_MASKS_RESETVAL;
    CSL_Srio_ResetVals.RIO_LSU_FLOW_MASKS[1] = CSL_SRIO_RIO_LSU_FLOW_MASKS_RESETVAL;
    CSL_Srio_ResetVals.RIO_LSU_FLOW_MASKS[2] = CSL_SRIO_RIO_LSU_FLOW_MASKS_RESETVAL;
    CSL_Srio_ResetVals.RIO_LSU_FLOW_MASKS[3] = CSL_SRIO_RIO_LSU_FLOW_MASKS_RESETVAL;
    CSL_Srio_ResetVals.RIO_SUPERVISOR_ID = CSL_SRIO_RIO_SUPERVISOR_ID_RESETVAL;
    CSL_Srio_ResetVals.RIO_FLOW_CNTL[0] = CSL_SRIO_RIO_FLOW_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_FLOW_CNTL[1] = CSL_SRIO_RIO_FLOW_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_FLOW_CNTL[2] = CSL_SRIO_RIO_FLOW_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_FLOW_CNTL[3] = CSL_SRIO_RIO_FLOW_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_FLOW_CNTL[4] = CSL_SRIO_RIO_FLOW_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_FLOW_CNTL[5] = CSL_SRIO_RIO_FLOW_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_FLOW_CNTL[6] = CSL_SRIO_RIO_FLOW_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_FLOW_CNTL[7] = CSL_SRIO_RIO_FLOW_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_FLOW_CNTL[8] = CSL_SRIO_RIO_FLOW_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_FLOW_CNTL[9] = CSL_SRIO_RIO_FLOW_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_FLOW_CNTL[10] = CSL_SRIO_RIO_FLOW_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_FLOW_CNTL[11] = CSL_SRIO_RIO_FLOW_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_FLOW_CNTL[12] = CSL_SRIO_RIO_FLOW_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_FLOW_CNTL[13] = CSL_SRIO_RIO_FLOW_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_FLOW_CNTL[14] = CSL_SRIO_RIO_FLOW_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_FLOW_CNTL[15] = CSL_SRIO_RIO_FLOW_CNTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TX_CPPI_FLOW_MASKS[0] = CSL_SRIO_RIO_TX_CPPI_FLOW_MASKS_RESETVAL;
    CSL_Srio_ResetVals.RIO_TX_CPPI_FLOW_MASKS[1] = CSL_SRIO_RIO_TX_CPPI_FLOW_MASKS_RESETVAL;
    CSL_Srio_ResetVals.RIO_TX_CPPI_FLOW_MASKS[2] = CSL_SRIO_RIO_TX_CPPI_FLOW_MASKS_RESETVAL;
    CSL_Srio_ResetVals.RIO_TX_CPPI_FLOW_MASKS[3] = CSL_SRIO_RIO_TX_CPPI_FLOW_MASKS_RESETVAL;
    CSL_Srio_ResetVals.RIO_TX_CPPI_FLOW_MASKS[4] = CSL_SRIO_RIO_TX_CPPI_FLOW_MASKS_RESETVAL;
    CSL_Srio_ResetVals.RIO_TX_CPPI_FLOW_MASKS[5] = CSL_SRIO_RIO_TX_CPPI_FLOW_MASKS_RESETVAL;
    CSL_Srio_ResetVals.RIO_TX_CPPI_FLOW_MASKS[6] = CSL_SRIO_RIO_TX_CPPI_FLOW_MASKS_RESETVAL;
    CSL_Srio_ResetVals.RIO_TX_CPPI_FLOW_MASKS[7] = CSL_SRIO_RIO_TX_CPPI_FLOW_MASKS_RESETVAL;
    CSL_Srio_ResetVals.RIO_TX_QUEUE_SCH_INFO[0] = CSL_SRIO_RIO_TX_QUEUE_SCH_INFO_RESETVAL;
    CSL_Srio_ResetVals.RIO_TX_QUEUE_SCH_INFO[1] = CSL_SRIO_RIO_TX_QUEUE_SCH_INFO_RESETVAL;
    CSL_Srio_ResetVals.RIO_TX_QUEUE_SCH_INFO[2] = CSL_SRIO_RIO_TX_QUEUE_SCH_INFO_RESETVAL;
    CSL_Srio_ResetVals.RIO_TX_QUEUE_SCH_INFO[3] = CSL_SRIO_RIO_TX_QUEUE_SCH_INFO_RESETVAL;
    CSL_Srio_ResetVals.RIO_GARBAGE_COLL_QID0 = CSL_SRIO_RIO_GARBAGE_COLL_QID0_RESETVAL;
    CSL_Srio_ResetVals.RIO_GARBAGE_COLL_QID1 = CSL_SRIO_RIO_GARBAGE_COLL_QID1_RESETVAL;
    CSL_Srio_ResetVals.RIO_GARBAGE_COLL_QID2 = CSL_SRIO_RIO_GARBAGE_COLL_QID2_RESETVAL;
    CSL_Srio_ResetVals.REVISION_REG = CSL_SRIO_REVISION_REG_RESETVAL;
    CSL_Srio_ResetVals.PERF_CONTROL_REG = CSL_SRIO_PERF_CONTROL_REG_RESETVAL;
    CSL_Srio_ResetVals.EMULATION_CONTROL_REG = CSL_SRIO_EMULATION_CONTROL_REG_RESETVAL;
    CSL_Srio_ResetVals.PRIORITY_CONTROL_REG = CSL_SRIO_PRIORITY_CONTROL_REG_RESETVAL;
    CSL_Srio_ResetVals.QM_BASE_ADDRESS_REG[0] = CSL_SRIO_QM_BASE_ADDRESS_REG_RESETVAL;
    CSL_Srio_ResetVals.QM_BASE_ADDRESS_REG[1] = CSL_SRIO_QM_BASE_ADDRESS_REG_RESETVAL;
    CSL_Srio_ResetVals.QM_BASE_ADDRESS_REG[2] = CSL_SRIO_QM_BASE_ADDRESS_REG_RESETVAL;
    CSL_Srio_ResetVals.QM_BASE_ADDRESS_REG[3] = CSL_SRIO_QM_BASE_ADDRESS_REG_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_SCHEDULER_CONFIG_REG[0] = CSL_SRIO_TX_CHANNEL_SCHEDULER_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_SCHEDULER_CONFIG_REG[1] = CSL_SRIO_TX_CHANNEL_SCHEDULER_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_SCHEDULER_CONFIG_REG[2] = CSL_SRIO_TX_CHANNEL_SCHEDULER_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_SCHEDULER_CONFIG_REG[3] = CSL_SRIO_TX_CHANNEL_SCHEDULER_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_SCHEDULER_CONFIG_REG[4] = CSL_SRIO_TX_CHANNEL_SCHEDULER_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_SCHEDULER_CONFIG_REG[5] = CSL_SRIO_TX_CHANNEL_SCHEDULER_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_SCHEDULER_CONFIG_REG[6] = CSL_SRIO_TX_CHANNEL_SCHEDULER_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_SCHEDULER_CONFIG_REG[7] = CSL_SRIO_TX_CHANNEL_SCHEDULER_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_SCHEDULER_CONFIG_REG[8] = CSL_SRIO_TX_CHANNEL_SCHEDULER_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_SCHEDULER_CONFIG_REG[9] = CSL_SRIO_TX_CHANNEL_SCHEDULER_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_SCHEDULER_CONFIG_REG[10] = CSL_SRIO_TX_CHANNEL_SCHEDULER_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_SCHEDULER_CONFIG_REG[11] = CSL_SRIO_TX_CHANNEL_SCHEDULER_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_SCHEDULER_CONFIG_REG[12] = CSL_SRIO_TX_CHANNEL_SCHEDULER_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_SCHEDULER_CONFIG_REG[13] = CSL_SRIO_TX_CHANNEL_SCHEDULER_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_SCHEDULER_CONFIG_REG[14] = CSL_SRIO_TX_CHANNEL_SCHEDULER_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_SCHEDULER_CONFIG_REG[15] = CSL_SRIO_TX_CHANNEL_SCHEDULER_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RIO_DEV_ID = CSL_SRIO_RIO_DEV_ID_RESETVAL;
    CSL_Srio_ResetVals.RIO_DEV_INFO = CSL_SRIO_RIO_DEV_INFO_RESETVAL;
    CSL_Srio_ResetVals.RIO_ASBLY_ID = CSL_SRIO_RIO_ASBLY_ID_RESETVAL;
    CSL_Srio_ResetVals.RIO_ASBLY_INFO = CSL_SRIO_RIO_ASBLY_INFO_RESETVAL;
    CSL_Srio_ResetVals.RIO_PE_FEAT = CSL_SRIO_RIO_PE_FEAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_SW_PORT = CSL_SRIO_RIO_SW_PORT_RESETVAL;
    CSL_Srio_ResetVals.RIO_SRC_OP = CSL_SRIO_RIO_SRC_OP_RESETVAL;
    CSL_Srio_ResetVals.RIO_DEST_OP = CSL_SRIO_RIO_DEST_OP_RESETVAL;
    CSL_Srio_ResetVals.RIO_DS_INFO = CSL_SRIO_RIO_DS_INFO_RESETVAL;
    CSL_Srio_ResetVals.RIO_DS_LL_CTL = CSL_SRIO_RIO_DS_LL_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PE_LL_CTL = CSL_SRIO_RIO_PE_LL_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_LCL_CFG_HBAR = CSL_SRIO_RIO_LCL_CFG_HBAR_RESETVAL;
    CSL_Srio_ResetVals.RIO_LCL_CFG_BAR = CSL_SRIO_RIO_LCL_CFG_BAR_RESETVAL;
    CSL_Srio_ResetVals.RIO_BASE_ID = CSL_SRIO_RIO_BASE_ID_RESETVAL;
    CSL_Srio_ResetVals.RIO_HOST_BASE_ID_LOCK = CSL_SRIO_RIO_HOST_BASE_ID_LOCK_RESETVAL;
    CSL_Srio_ResetVals.RIO_COMP_TAG = CSL_SRIO_RIO_COMP_TAG_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_MB_HEAD = CSL_SRIO_RIO_SP_MB_HEAD_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_LT_CTL = CSL_SRIO_RIO_SP_LT_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_RT_CTL = CSL_SRIO_RIO_SP_RT_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_GEN_CTL = CSL_SRIO_RIO_SP_GEN_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_ERR_RPT_BH = CSL_SRIO_RIO_ERR_RPT_BH_RESETVAL;
    CSL_Srio_ResetVals.RIO_ERR_DET = CSL_SRIO_RIO_ERR_DET_RESETVAL;
    CSL_Srio_ResetVals.RIO_ERR_EN = CSL_SRIO_RIO_ERR_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_H_ADDR_CAPT = CSL_SRIO_RIO_H_ADDR_CAPT_RESETVAL;
    CSL_Srio_ResetVals.RIO_ADDR_CAPT = CSL_SRIO_RIO_ADDR_CAPT_RESETVAL;
    CSL_Srio_ResetVals.RIO_ID_CAPT = CSL_SRIO_RIO_ID_CAPT_RESETVAL;
    CSL_Srio_ResetVals.RIO_CTRL_CAPT = CSL_SRIO_RIO_CTRL_CAPT_RESETVAL;
    CSL_Srio_ResetVals.RIO_PW_TGT_ID = CSL_SRIO_RIO_PW_TGT_ID_RESETVAL;
    CSL_Srio_ResetVals.RIO_PER_LANE_BH = CSL_SRIO_RIO_PER_LANE_BH_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM_BH = CSL_SRIO_RIO_PLM_BH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM_BH = CSL_SRIO_RIO_TLM_BH_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM_BH = CSL_SRIO_RIO_PBM_BH_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_BH = CSL_SRIO_RIO_EM_BH_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_INT_STAT = CSL_SRIO_RIO_EM_INT_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_INT_ENABLE = CSL_SRIO_RIO_EM_INT_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_INT_PORT_STAT = CSL_SRIO_RIO_EM_INT_PORT_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_PW_STAT = CSL_SRIO_RIO_EM_PW_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_PW_EN = CSL_SRIO_RIO_EM_PW_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_PW_PORT_STAT = CSL_SRIO_RIO_EM_PW_PORT_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_DEV_INT_EN = CSL_SRIO_RIO_EM_DEV_INT_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_DEV_PW_EN = CSL_SRIO_RIO_EM_DEV_PW_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_MECS_STAT = CSL_SRIO_RIO_EM_MECS_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_MECS_INT_EN = CSL_SRIO_RIO_EM_MECS_INT_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_MECS_CAP_EN = CSL_SRIO_RIO_EM_MECS_CAP_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_MECS_TRIG_EN = CSL_SRIO_RIO_EM_MECS_TRIG_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_MECS_REQ = CSL_SRIO_RIO_EM_MECS_REQ_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_MECS_PORT_STAT = CSL_SRIO_RIO_EM_MECS_PORT_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_MECS_EVENT_GEN = CSL_SRIO_RIO_EM_MECS_EVENT_GEN_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_RST_PORT_STAT = CSL_SRIO_RIO_EM_RST_PORT_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_RST_INT_EN = CSL_SRIO_RIO_EM_RST_INT_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_EM_RST_PW_EN = CSL_SRIO_RIO_EM_RST_PW_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PW_BH = CSL_SRIO_RIO_PW_BH_RESETVAL;
    CSL_Srio_ResetVals.RIO_PW_CTL = CSL_SRIO_RIO_PW_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PW_ROUTE = CSL_SRIO_RIO_PW_ROUTE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PW_RX_STAT = CSL_SRIO_RIO_PW_RX_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_PW_RX_EVENT_GEN = CSL_SRIO_RIO_PW_RX_EVENT_GEN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PW_RX_CAPT[0] = CSL_SRIO_RIO_PW_RX_CAPT_RESETVAL;
    CSL_Srio_ResetVals.RIO_PW_RX_CAPT[1] = CSL_SRIO_RIO_PW_RX_CAPT_RESETVAL;
    CSL_Srio_ResetVals.RIO_PW_RX_CAPT[2] = CSL_SRIO_RIO_PW_RX_CAPT_RESETVAL;
    CSL_Srio_ResetVals.RIO_PW_RX_CAPT[3] = CSL_SRIO_RIO_PW_RX_CAPT_RESETVAL;
    CSL_Srio_ResetVals.RIO_LLM_BH = CSL_SRIO_RIO_LLM_BH_RESETVAL;
    CSL_Srio_ResetVals.RIO_WHITEBOARD = CSL_SRIO_RIO_WHITEBOARD_RESETVAL;
    CSL_Srio_ResetVals.RIO_PORT_NUMBER = CSL_SRIO_RIO_PORT_NUMBER_RESETVAL;
    CSL_Srio_ResetVals.RIO_PRESCALAR_SRV_CLK = CSL_SRIO_RIO_PRESCALAR_SRV_CLK_RESETVAL;
    CSL_Srio_ResetVals.RIO_REG_RST_CTL = CSL_SRIO_RIO_REG_RST_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_LOCAL_ERR_DET = CSL_SRIO_RIO_LOCAL_ERR_DET_RESETVAL;
    CSL_Srio_ResetVals.RIO_LOCAL_ERR_EN = CSL_SRIO_RIO_LOCAL_ERR_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_LOCAL_H_ADDR_CAPT = CSL_SRIO_RIO_LOCAL_H_ADDR_CAPT_RESETVAL;
    CSL_Srio_ResetVals.RIO_LOCAL_ADDR_CAPT = CSL_SRIO_RIO_LOCAL_ADDR_CAPT_RESETVAL;
    CSL_Srio_ResetVals.RIO_LOCAL_ID_CAPT = CSL_SRIO_RIO_LOCAL_ID_CAPT_RESETVAL;
    CSL_Srio_ResetVals.RIO_LOCAL_CTRL_CAPT = CSL_SRIO_RIO_LOCAL_CTRL_CAPT_RESETVAL;
    CSL_Srio_ResetVals.RIO_FABRIC_BH = CSL_SRIO_RIO_FABRIC_BH_RESETVAL;
    CSL_Srio_ResetVals.RIO_FABRIC_CSR = CSL_SRIO_RIO_FABRIC_CSR_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_FABRIC_STATUS[0] = CSL_SRIO_RIO_SP_FABRIC_STATUS_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_FABRIC_STATUS[1] = CSL_SRIO_RIO_SP_FABRIC_STATUS_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_FABRIC_STATUS[2] = CSL_SRIO_RIO_SP_FABRIC_STATUS_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_FABRIC_STATUS[3] = CSL_SRIO_RIO_SP_FABRIC_STATUS_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[0].RIO_BLK_EN = CSL_SRIO_RIO_BLK_EN_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[0].RIO_BLK_EN_STAT = CSL_SRIO_RIO_BLK_EN_STAT_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[1].RIO_BLK_EN = CSL_SRIO_RIO_BLK_EN_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[1].RIO_BLK_EN_STAT = CSL_SRIO_RIO_BLK_EN_STAT_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[2].RIO_BLK_EN = CSL_SRIO_RIO_BLK_EN_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[2].RIO_BLK_EN_STAT = CSL_SRIO_RIO_BLK_EN_STAT_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[3].RIO_BLK_EN = CSL_SRIO_RIO_BLK_EN_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[3].RIO_BLK_EN_STAT = CSL_SRIO_RIO_BLK_EN_STAT_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[4].RIO_BLK_EN = CSL_SRIO_RIO_BLK_EN_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[4].RIO_BLK_EN_STAT = CSL_SRIO_RIO_BLK_EN_STAT_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[5].RIO_BLK_EN = CSL_SRIO_RIO_BLK_EN_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[5].RIO_BLK_EN_STAT = CSL_SRIO_RIO_BLK_EN_STAT_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[6].RIO_BLK_EN = CSL_SRIO_RIO_BLK_EN_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[6].RIO_BLK_EN_STAT = CSL_SRIO_RIO_BLK_EN_STAT_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[7].RIO_BLK_EN = CSL_SRIO_RIO_BLK_EN_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[7].RIO_BLK_EN_STAT = CSL_SRIO_RIO_BLK_EN_STAT_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[8].RIO_BLK_EN = CSL_SRIO_RIO_BLK_EN_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[8].RIO_BLK_EN_STAT = CSL_SRIO_RIO_BLK_EN_STAT_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[9].RIO_BLK_EN = CSL_SRIO_RIO_BLK_EN_RESETVAL;
    CSL_Srio_ResetVals.BLOCK_ENABLE_STATUS[9].RIO_BLK_EN_STAT = CSL_SRIO_RIO_BLK_EN_STAT_RESETVAL;
    CSL_Srio_ResetVals.PF_CNTL[0].RIO_PF_16B_CNTL = CSL_SRIO_RIO_PF_16B_CNTL_RESETVAL;
    CSL_Srio_ResetVals.PF_CNTL[0].RIO_PF_8B_CNTL = CSL_SRIO_RIO_PF_8B_CNTL_RESETVAL;
    CSL_Srio_ResetVals.PF_CNTL[1].RIO_PF_16B_CNTL = CSL_SRIO_RIO_PF_16B_CNTL_RESETVAL;
    CSL_Srio_ResetVals.PF_CNTL[1].RIO_PF_8B_CNTL = CSL_SRIO_RIO_PF_8B_CNTL_RESETVAL;
    CSL_Srio_ResetVals.PF_CNTL[2].RIO_PF_16B_CNTL = CSL_SRIO_RIO_PF_16B_CNTL_RESETVAL;
    CSL_Srio_ResetVals.PF_CNTL[2].RIO_PF_8B_CNTL = CSL_SRIO_RIO_PF_8B_CNTL_RESETVAL;
    CSL_Srio_ResetVals.PF_CNTL[3].RIO_PF_16B_CNTL = CSL_SRIO_RIO_PF_16B_CNTL_RESETVAL;
    CSL_Srio_ResetVals.PF_CNTL[3].RIO_PF_8B_CNTL = CSL_SRIO_RIO_PF_8B_CNTL_RESETVAL;
    CSL_Srio_ResetVals.PF_CNTL[4].RIO_PF_16B_CNTL = CSL_SRIO_RIO_PF_16B_CNTL_RESETVAL;
    CSL_Srio_ResetVals.PF_CNTL[4].RIO_PF_8B_CNTL = CSL_SRIO_RIO_PF_8B_CNTL_RESETVAL;
    CSL_Srio_ResetVals.PF_CNTL[5].RIO_PF_16B_CNTL = CSL_SRIO_RIO_PF_16B_CNTL_RESETVAL;
    CSL_Srio_ResetVals.PF_CNTL[5].RIO_PF_8B_CNTL = CSL_SRIO_RIO_PF_8B_CNTL_RESETVAL;
    CSL_Srio_ResetVals.PF_CNTL[6].RIO_PF_16B_CNTL = CSL_SRIO_RIO_PF_16B_CNTL_RESETVAL;
    CSL_Srio_ResetVals.PF_CNTL[6].RIO_PF_8B_CNTL = CSL_SRIO_RIO_PF_8B_CNTL_RESETVAL;
    CSL_Srio_ResetVals.PF_CNTL[7].RIO_PF_16B_CNTL = CSL_SRIO_RIO_PF_16B_CNTL_RESETVAL;
    CSL_Srio_ResetVals.PF_CNTL[7].RIO_PF_8B_CNTL = CSL_SRIO_RIO_PF_8B_CNTL_RESETVAL;
    CSL_Srio_ResetVals.DOORBELL_ICSR_ICCR[0].RIO_DOORBELL_ICSR = CSL_SRIO_RIO_DOORBELL_ICSR_RESETVAL;
    CSL_Srio_ResetVals.DOORBELL_ICSR_ICCR[0].RIO_DOORBELL_ICCR = CSL_SRIO_RIO_DOORBELL_ICCR_RESETVAL;
    CSL_Srio_ResetVals.DOORBELL_ICSR_ICCR[1].RIO_DOORBELL_ICSR = CSL_SRIO_RIO_DOORBELL_ICSR_RESETVAL;
    CSL_Srio_ResetVals.DOORBELL_ICSR_ICCR[1].RIO_DOORBELL_ICCR = CSL_SRIO_RIO_DOORBELL_ICCR_RESETVAL;
    CSL_Srio_ResetVals.DOORBELL_ICSR_ICCR[2].RIO_DOORBELL_ICSR = CSL_SRIO_RIO_DOORBELL_ICSR_RESETVAL;
    CSL_Srio_ResetVals.DOORBELL_ICSR_ICCR[2].RIO_DOORBELL_ICCR = CSL_SRIO_RIO_DOORBELL_ICCR_RESETVAL;
    CSL_Srio_ResetVals.DOORBELL_ICSR_ICCR[3].RIO_DOORBELL_ICSR = CSL_SRIO_RIO_DOORBELL_ICSR_RESETVAL;
    CSL_Srio_ResetVals.DOORBELL_ICSR_ICCR[3].RIO_DOORBELL_ICCR = CSL_SRIO_RIO_DOORBELL_ICCR_RESETVAL;
    CSL_Srio_ResetVals.LSU_ICSR_ICCR[0].RIO_LSU_ICSR = CSL_SRIO_RIO_LSU_ICSR_RESETVAL;
    CSL_Srio_ResetVals.LSU_ICSR_ICCR[0].RIO_LSU_ICCR = CSL_SRIO_RIO_LSU_ICCR_RESETVAL;
    CSL_Srio_ResetVals.LSU_ICSR_ICCR[1].RIO_LSU_ICSR = CSL_SRIO_RIO_LSU_ICSR_RESETVAL;
    CSL_Srio_ResetVals.LSU_ICSR_ICCR[1].RIO_LSU_ICCR = CSL_SRIO_RIO_LSU_ICCR_RESETVAL;
    CSL_Srio_ResetVals.DOORBELL_ICRR[0].RIO_DOORBELL_ICRR1 = CSL_SRIO_RIO_DOORBELL_ICRR1_RESETVAL;
    CSL_Srio_ResetVals.DOORBELL_ICRR[0].RIO_DOORBELL_ICRR2 = CSL_SRIO_RIO_DOORBELL_ICRR2_RESETVAL;
    CSL_Srio_ResetVals.DOORBELL_ICRR[1].RIO_DOORBELL_ICRR1 = CSL_SRIO_RIO_DOORBELL_ICRR1_RESETVAL;
    CSL_Srio_ResetVals.DOORBELL_ICRR[1].RIO_DOORBELL_ICRR2 = CSL_SRIO_RIO_DOORBELL_ICRR2_RESETVAL;
    CSL_Srio_ResetVals.DOORBELL_ICRR[2].RIO_DOORBELL_ICRR1 = CSL_SRIO_RIO_DOORBELL_ICRR1_RESETVAL;
    CSL_Srio_ResetVals.DOORBELL_ICRR[2].RIO_DOORBELL_ICRR2 = CSL_SRIO_RIO_DOORBELL_ICRR2_RESETVAL;
    CSL_Srio_ResetVals.DOORBELL_ICRR[3].RIO_DOORBELL_ICRR1 = CSL_SRIO_RIO_DOORBELL_ICRR1_RESETVAL;
    CSL_Srio_ResetVals.DOORBELL_ICRR[3].RIO_DOORBELL_ICRR2 = CSL_SRIO_RIO_DOORBELL_ICRR2_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[0].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[0].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[0].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[1].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[1].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[1].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[2].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[2].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[2].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[3].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[3].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[3].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[4].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[4].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[4].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[5].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[5].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[5].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[6].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[6].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[6].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[7].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[7].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[7].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[8].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[8].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[8].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[9].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[9].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[9].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[10].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[10].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[10].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[11].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[11].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[11].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[12].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[12].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[12].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[13].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[13].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[13].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[14].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[14].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[14].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[15].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[15].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[15].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[16].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[16].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[16].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[17].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[17].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[17].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[18].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[18].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[18].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[19].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[19].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[19].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[20].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[20].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[20].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[21].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[21].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[21].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[22].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[22].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[22].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[23].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[23].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[23].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[24].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[24].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[24].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[25].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[25].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[25].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[26].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[26].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[26].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[27].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[27].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[27].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[28].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[28].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[28].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[29].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[29].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[29].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[30].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[30].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[30].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[31].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[31].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[31].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[32].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[32].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[32].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[33].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[33].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[33].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[34].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[34].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[34].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[35].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[35].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[35].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[36].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[36].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[36].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[37].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[37].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[37].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[38].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[38].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[38].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[39].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[39].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[39].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[40].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[40].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[40].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[41].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[41].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[41].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[42].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[42].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[42].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[43].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[43].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[43].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[44].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[44].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[44].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[45].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[45].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[45].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[46].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[46].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[46].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[47].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[47].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[47].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[48].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[48].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[48].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[49].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[49].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[49].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[50].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[50].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[50].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[51].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[51].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[51].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[52].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[52].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[52].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[53].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[53].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[53].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[54].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[54].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[54].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[55].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[55].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[55].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[56].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[56].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[56].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[57].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[57].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[57].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[58].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[58].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[58].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[59].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[59].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[59].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[60].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[60].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[60].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[61].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[61].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[61].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[62].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[62].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[62].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[63].RIO_RXU_MAP_L = CSL_SRIO_RIO_RXU_MAP_L_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[63].RIO_RXU_MAP_H = CSL_SRIO_RIO_RXU_MAP_H_RESETVAL;
    CSL_Srio_ResetVals.RXU_MAP[63].RIO_RXU_MAP_QID = CSL_SRIO_RIO_RXU_MAP_QID_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[0].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[0].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[0].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[1].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[1].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[1].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[2].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[2].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[2].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[3].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[3].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[3].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[4].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[4].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[4].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[5].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[5].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[5].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[6].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[6].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[6].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[7].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[7].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[7].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[8].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[8].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[8].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[9].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[9].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[9].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[10].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[10].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[10].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[11].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[11].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[11].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[12].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[12].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[12].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[13].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[13].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[13].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[14].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[14].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[14].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[15].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[15].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[15].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[16].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[16].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[16].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[17].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[17].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[17].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[18].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[18].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[18].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[19].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[19].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[19].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[20].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[20].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[20].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[21].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[21].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[21].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[22].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[22].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[22].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[23].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[23].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[23].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[24].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[24].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[24].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[25].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[25].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[25].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[26].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[26].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[26].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[27].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[27].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[27].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[28].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[28].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[28].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[29].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[29].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[29].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[30].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[30].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[30].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[31].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[31].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[31].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[32].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[32].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[32].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[33].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[33].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[33].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[34].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[34].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[34].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[35].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[35].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[35].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[36].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[36].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[36].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[37].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[37].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[37].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[38].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[38].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[38].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[39].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[39].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[39].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[40].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[40].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[40].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[41].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[41].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[41].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[42].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[42].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[42].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[43].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[43].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[43].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[44].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[44].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[44].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[45].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[45].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[45].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[46].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[46].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[46].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[47].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[47].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[47].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[48].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[48].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[48].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[49].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[49].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[49].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[50].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[50].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[50].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[51].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[51].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[51].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[52].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[52].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[52].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[53].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[53].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[53].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[54].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[54].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[54].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[55].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[55].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[55].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[56].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[56].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[56].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[57].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[57].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[57].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[58].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[58].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[58].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[59].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[59].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[59].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[60].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[60].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[60].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[61].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[61].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[61].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[62].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[62].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[62].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[63].RIO_RXU_TYPE9_MAP0 = CSL_SRIO_RIO_RXU_TYPE9_MAP0_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[63].RIO_RXU_TYPE9_MAP1 = CSL_SRIO_RIO_RXU_TYPE9_MAP1_RESETVAL;
    CSL_Srio_ResetVals.RXU_TYPE9_MAP[63].RIO_RXU_TYPE9_MAP2 = CSL_SRIO_RIO_RXU_TYPE9_MAP2_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[0].RIO_AMU_WINDOW_REG0 = CSL_SRIO_RIO_AMU_WINDOW_REG0_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[0].RIO_AMU_WINDOW_REG1 = CSL_SRIO_RIO_AMU_WINDOW_REG1_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[0].RIO_AMU_WINDOW_REG2 = CSL_SRIO_RIO_AMU_WINDOW_REG2_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[1].RIO_AMU_WINDOW_REG0 = CSL_SRIO_RIO_AMU_WINDOW_REG0_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[1].RIO_AMU_WINDOW_REG1 = CSL_SRIO_RIO_AMU_WINDOW_REG1_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[1].RIO_AMU_WINDOW_REG2 = CSL_SRIO_RIO_AMU_WINDOW_REG2_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[2].RIO_AMU_WINDOW_REG0 = CSL_SRIO_RIO_AMU_WINDOW_REG0_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[2].RIO_AMU_WINDOW_REG1 = CSL_SRIO_RIO_AMU_WINDOW_REG1_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[2].RIO_AMU_WINDOW_REG2 = CSL_SRIO_RIO_AMU_WINDOW_REG2_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[3].RIO_AMU_WINDOW_REG0 = CSL_SRIO_RIO_AMU_WINDOW_REG0_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[3].RIO_AMU_WINDOW_REG1 = CSL_SRIO_RIO_AMU_WINDOW_REG1_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[3].RIO_AMU_WINDOW_REG2 = CSL_SRIO_RIO_AMU_WINDOW_REG2_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[4].RIO_AMU_WINDOW_REG0 = CSL_SRIO_RIO_AMU_WINDOW_REG0_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[4].RIO_AMU_WINDOW_REG1 = CSL_SRIO_RIO_AMU_WINDOW_REG1_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[4].RIO_AMU_WINDOW_REG2 = CSL_SRIO_RIO_AMU_WINDOW_REG2_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[5].RIO_AMU_WINDOW_REG0 = CSL_SRIO_RIO_AMU_WINDOW_REG0_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[5].RIO_AMU_WINDOW_REG1 = CSL_SRIO_RIO_AMU_WINDOW_REG1_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[5].RIO_AMU_WINDOW_REG2 = CSL_SRIO_RIO_AMU_WINDOW_REG2_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[6].RIO_AMU_WINDOW_REG0 = CSL_SRIO_RIO_AMU_WINDOW_REG0_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[6].RIO_AMU_WINDOW_REG1 = CSL_SRIO_RIO_AMU_WINDOW_REG1_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[6].RIO_AMU_WINDOW_REG2 = CSL_SRIO_RIO_AMU_WINDOW_REG2_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[7].RIO_AMU_WINDOW_REG0 = CSL_SRIO_RIO_AMU_WINDOW_REG0_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[7].RIO_AMU_WINDOW_REG1 = CSL_SRIO_RIO_AMU_WINDOW_REG1_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[7].RIO_AMU_WINDOW_REG2 = CSL_SRIO_RIO_AMU_WINDOW_REG2_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[8].RIO_AMU_WINDOW_REG0 = CSL_SRIO_RIO_AMU_WINDOW_REG0_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[8].RIO_AMU_WINDOW_REG1 = CSL_SRIO_RIO_AMU_WINDOW_REG1_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[8].RIO_AMU_WINDOW_REG2 = CSL_SRIO_RIO_AMU_WINDOW_REG2_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[9].RIO_AMU_WINDOW_REG0 = CSL_SRIO_RIO_AMU_WINDOW_REG0_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[9].RIO_AMU_WINDOW_REG1 = CSL_SRIO_RIO_AMU_WINDOW_REG1_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[9].RIO_AMU_WINDOW_REG2 = CSL_SRIO_RIO_AMU_WINDOW_REG2_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[10].RIO_AMU_WINDOW_REG0 = CSL_SRIO_RIO_AMU_WINDOW_REG0_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[10].RIO_AMU_WINDOW_REG1 = CSL_SRIO_RIO_AMU_WINDOW_REG1_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[10].RIO_AMU_WINDOW_REG2 = CSL_SRIO_RIO_AMU_WINDOW_REG2_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[11].RIO_AMU_WINDOW_REG0 = CSL_SRIO_RIO_AMU_WINDOW_REG0_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[11].RIO_AMU_WINDOW_REG1 = CSL_SRIO_RIO_AMU_WINDOW_REG1_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[11].RIO_AMU_WINDOW_REG2 = CSL_SRIO_RIO_AMU_WINDOW_REG2_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[12].RIO_AMU_WINDOW_REG0 = CSL_SRIO_RIO_AMU_WINDOW_REG0_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[12].RIO_AMU_WINDOW_REG1 = CSL_SRIO_RIO_AMU_WINDOW_REG1_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[12].RIO_AMU_WINDOW_REG2 = CSL_SRIO_RIO_AMU_WINDOW_REG2_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[13].RIO_AMU_WINDOW_REG0 = CSL_SRIO_RIO_AMU_WINDOW_REG0_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[13].RIO_AMU_WINDOW_REG1 = CSL_SRIO_RIO_AMU_WINDOW_REG1_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[13].RIO_AMU_WINDOW_REG2 = CSL_SRIO_RIO_AMU_WINDOW_REG2_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[14].RIO_AMU_WINDOW_REG0 = CSL_SRIO_RIO_AMU_WINDOW_REG0_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[14].RIO_AMU_WINDOW_REG1 = CSL_SRIO_RIO_AMU_WINDOW_REG1_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[14].RIO_AMU_WINDOW_REG2 = CSL_SRIO_RIO_AMU_WINDOW_REG2_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[15].RIO_AMU_WINDOW_REG0 = CSL_SRIO_RIO_AMU_WINDOW_REG0_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[15].RIO_AMU_WINDOW_REG1 = CSL_SRIO_RIO_AMU_WINDOW_REG1_RESETVAL;
    CSL_Srio_ResetVals.AMU_WINDOW[15].RIO_AMU_WINDOW_REG2 = CSL_SRIO_RIO_AMU_WINDOW_REG2_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[0].RIO_LSU_REG0 = CSL_SRIO_RIO_LSU_REG0_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[0].RIO_LSU_REG1 = CSL_SRIO_RIO_LSU_REG1_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[0].RIO_LSU_REG2 = CSL_SRIO_RIO_LSU_REG2_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[0].RIO_LSU_REG3 = CSL_SRIO_RIO_LSU_REG3_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[0].RIO_LSU_REG4 = CSL_SRIO_RIO_LSU_REG4_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[0].RIO_LSU_REG5 = CSL_SRIO_RIO_LSU_REG5_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[0].RIO_LSU_REG6 = CSL_SRIO_RIO_LSU_REG6_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[1].RIO_LSU_REG0 = CSL_SRIO_RIO_LSU_REG0_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[1].RIO_LSU_REG1 = CSL_SRIO_RIO_LSU_REG1_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[1].RIO_LSU_REG2 = CSL_SRIO_RIO_LSU_REG2_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[1].RIO_LSU_REG3 = CSL_SRIO_RIO_LSU_REG3_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[1].RIO_LSU_REG4 = CSL_SRIO_RIO_LSU_REG4_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[1].RIO_LSU_REG5 = CSL_SRIO_RIO_LSU_REG5_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[1].RIO_LSU_REG6 = CSL_SRIO_RIO_LSU_REG6_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[2].RIO_LSU_REG0 = CSL_SRIO_RIO_LSU_REG0_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[2].RIO_LSU_REG1 = CSL_SRIO_RIO_LSU_REG1_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[2].RIO_LSU_REG2 = CSL_SRIO_RIO_LSU_REG2_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[2].RIO_LSU_REG3 = CSL_SRIO_RIO_LSU_REG3_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[2].RIO_LSU_REG4 = CSL_SRIO_RIO_LSU_REG4_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[2].RIO_LSU_REG5 = CSL_SRIO_RIO_LSU_REG5_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[2].RIO_LSU_REG6 = CSL_SRIO_RIO_LSU_REG6_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[3].RIO_LSU_REG0 = CSL_SRIO_RIO_LSU_REG0_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[3].RIO_LSU_REG1 = CSL_SRIO_RIO_LSU_REG1_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[3].RIO_LSU_REG2 = CSL_SRIO_RIO_LSU_REG2_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[3].RIO_LSU_REG3 = CSL_SRIO_RIO_LSU_REG3_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[3].RIO_LSU_REG4 = CSL_SRIO_RIO_LSU_REG4_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[3].RIO_LSU_REG5 = CSL_SRIO_RIO_LSU_REG5_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[3].RIO_LSU_REG6 = CSL_SRIO_RIO_LSU_REG6_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[4].RIO_LSU_REG0 = CSL_SRIO_RIO_LSU_REG0_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[4].RIO_LSU_REG1 = CSL_SRIO_RIO_LSU_REG1_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[4].RIO_LSU_REG2 = CSL_SRIO_RIO_LSU_REG2_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[4].RIO_LSU_REG3 = CSL_SRIO_RIO_LSU_REG3_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[4].RIO_LSU_REG4 = CSL_SRIO_RIO_LSU_REG4_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[4].RIO_LSU_REG5 = CSL_SRIO_RIO_LSU_REG5_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[4].RIO_LSU_REG6 = CSL_SRIO_RIO_LSU_REG6_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[5].RIO_LSU_REG0 = CSL_SRIO_RIO_LSU_REG0_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[5].RIO_LSU_REG1 = CSL_SRIO_RIO_LSU_REG1_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[5].RIO_LSU_REG2 = CSL_SRIO_RIO_LSU_REG2_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[5].RIO_LSU_REG3 = CSL_SRIO_RIO_LSU_REG3_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[5].RIO_LSU_REG4 = CSL_SRIO_RIO_LSU_REG4_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[5].RIO_LSU_REG5 = CSL_SRIO_RIO_LSU_REG5_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[5].RIO_LSU_REG6 = CSL_SRIO_RIO_LSU_REG6_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[6].RIO_LSU_REG0 = CSL_SRIO_RIO_LSU_REG0_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[6].RIO_LSU_REG1 = CSL_SRIO_RIO_LSU_REG1_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[6].RIO_LSU_REG2 = CSL_SRIO_RIO_LSU_REG2_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[6].RIO_LSU_REG3 = CSL_SRIO_RIO_LSU_REG3_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[6].RIO_LSU_REG4 = CSL_SRIO_RIO_LSU_REG4_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[6].RIO_LSU_REG5 = CSL_SRIO_RIO_LSU_REG5_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[6].RIO_LSU_REG6 = CSL_SRIO_RIO_LSU_REG6_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[7].RIO_LSU_REG0 = CSL_SRIO_RIO_LSU_REG0_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[7].RIO_LSU_REG1 = CSL_SRIO_RIO_LSU_REG1_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[7].RIO_LSU_REG2 = CSL_SRIO_RIO_LSU_REG2_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[7].RIO_LSU_REG3 = CSL_SRIO_RIO_LSU_REG3_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[7].RIO_LSU_REG4 = CSL_SRIO_RIO_LSU_REG4_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[7].RIO_LSU_REG5 = CSL_SRIO_RIO_LSU_REG5_RESETVAL;
    CSL_Srio_ResetVals.LSU_CMD[7].RIO_LSU_REG6 = CSL_SRIO_RIO_LSU_REG6_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[0].TX_CHANNEL_GLOBAL_CONFIG_REG_A = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[0].TX_CHANNEL_GLOBAL_CONFIG_REG_B = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[1].TX_CHANNEL_GLOBAL_CONFIG_REG_A = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[1].TX_CHANNEL_GLOBAL_CONFIG_REG_B = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[2].TX_CHANNEL_GLOBAL_CONFIG_REG_A = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[2].TX_CHANNEL_GLOBAL_CONFIG_REG_B = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[3].TX_CHANNEL_GLOBAL_CONFIG_REG_A = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[3].TX_CHANNEL_GLOBAL_CONFIG_REG_B = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[4].TX_CHANNEL_GLOBAL_CONFIG_REG_A = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[4].TX_CHANNEL_GLOBAL_CONFIG_REG_B = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[5].TX_CHANNEL_GLOBAL_CONFIG_REG_A = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[5].TX_CHANNEL_GLOBAL_CONFIG_REG_B = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[6].TX_CHANNEL_GLOBAL_CONFIG_REG_A = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[6].TX_CHANNEL_GLOBAL_CONFIG_REG_B = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[7].TX_CHANNEL_GLOBAL_CONFIG_REG_A = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[7].TX_CHANNEL_GLOBAL_CONFIG_REG_B = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[8].TX_CHANNEL_GLOBAL_CONFIG_REG_A = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[8].TX_CHANNEL_GLOBAL_CONFIG_REG_B = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[9].TX_CHANNEL_GLOBAL_CONFIG_REG_A = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[9].TX_CHANNEL_GLOBAL_CONFIG_REG_B = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[10].TX_CHANNEL_GLOBAL_CONFIG_REG_A = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[10].TX_CHANNEL_GLOBAL_CONFIG_REG_B = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[11].TX_CHANNEL_GLOBAL_CONFIG_REG_A = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[11].TX_CHANNEL_GLOBAL_CONFIG_REG_B = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[12].TX_CHANNEL_GLOBAL_CONFIG_REG_A = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[12].TX_CHANNEL_GLOBAL_CONFIG_REG_B = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[13].TX_CHANNEL_GLOBAL_CONFIG_REG_A = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[13].TX_CHANNEL_GLOBAL_CONFIG_REG_B = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[14].TX_CHANNEL_GLOBAL_CONFIG_REG_A = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[14].TX_CHANNEL_GLOBAL_CONFIG_REG_B = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[15].TX_CHANNEL_GLOBAL_CONFIG_REG_A = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.TX_CHANNEL_GLOBAL_CONFIG[15].TX_CHANNEL_GLOBAL_CONFIG_REG_B = CSL_SRIO_TX_CHANNEL_GLOBAL_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_CHANNEL_GLOBAL_CONFIG[0].RX_CHANNEL_GLOBAL_CONFIG_REG = CSL_SRIO_RX_CHANNEL_GLOBAL_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RX_CHANNEL_GLOBAL_CONFIG[1].RX_CHANNEL_GLOBAL_CONFIG_REG = CSL_SRIO_RX_CHANNEL_GLOBAL_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RX_CHANNEL_GLOBAL_CONFIG[2].RX_CHANNEL_GLOBAL_CONFIG_REG = CSL_SRIO_RX_CHANNEL_GLOBAL_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RX_CHANNEL_GLOBAL_CONFIG[3].RX_CHANNEL_GLOBAL_CONFIG_REG = CSL_SRIO_RX_CHANNEL_GLOBAL_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RX_CHANNEL_GLOBAL_CONFIG[4].RX_CHANNEL_GLOBAL_CONFIG_REG = CSL_SRIO_RX_CHANNEL_GLOBAL_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RX_CHANNEL_GLOBAL_CONFIG[5].RX_CHANNEL_GLOBAL_CONFIG_REG = CSL_SRIO_RX_CHANNEL_GLOBAL_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RX_CHANNEL_GLOBAL_CONFIG[6].RX_CHANNEL_GLOBAL_CONFIG_REG = CSL_SRIO_RX_CHANNEL_GLOBAL_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RX_CHANNEL_GLOBAL_CONFIG[7].RX_CHANNEL_GLOBAL_CONFIG_REG = CSL_SRIO_RX_CHANNEL_GLOBAL_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RX_CHANNEL_GLOBAL_CONFIG[8].RX_CHANNEL_GLOBAL_CONFIG_REG = CSL_SRIO_RX_CHANNEL_GLOBAL_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RX_CHANNEL_GLOBAL_CONFIG[9].RX_CHANNEL_GLOBAL_CONFIG_REG = CSL_SRIO_RX_CHANNEL_GLOBAL_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RX_CHANNEL_GLOBAL_CONFIG[10].RX_CHANNEL_GLOBAL_CONFIG_REG = CSL_SRIO_RX_CHANNEL_GLOBAL_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RX_CHANNEL_GLOBAL_CONFIG[11].RX_CHANNEL_GLOBAL_CONFIG_REG = CSL_SRIO_RX_CHANNEL_GLOBAL_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RX_CHANNEL_GLOBAL_CONFIG[12].RX_CHANNEL_GLOBAL_CONFIG_REG = CSL_SRIO_RX_CHANNEL_GLOBAL_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RX_CHANNEL_GLOBAL_CONFIG[13].RX_CHANNEL_GLOBAL_CONFIG_REG = CSL_SRIO_RX_CHANNEL_GLOBAL_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RX_CHANNEL_GLOBAL_CONFIG[14].RX_CHANNEL_GLOBAL_CONFIG_REG = CSL_SRIO_RX_CHANNEL_GLOBAL_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RX_CHANNEL_GLOBAL_CONFIG[15].RX_CHANNEL_GLOBAL_CONFIG_REG = CSL_SRIO_RX_CHANNEL_GLOBAL_CONFIG_REG_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[0].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[0].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[0].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[0].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[0].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[0].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[0].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[0].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[1].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[1].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[1].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[1].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[1].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[1].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[1].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[1].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[2].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[2].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[2].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[2].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[2].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[2].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[2].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[2].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[3].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[3].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[3].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[3].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[3].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[3].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[3].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[3].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[4].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[4].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[4].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[4].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[4].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[4].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[4].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[4].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[5].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[5].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[5].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[5].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[5].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[5].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[5].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[5].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[6].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[6].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[6].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[6].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[6].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[6].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[6].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[6].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[7].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[7].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[7].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[7].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[7].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[7].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[7].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[7].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[8].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[8].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[8].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[8].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[8].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[8].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[8].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[8].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[9].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[9].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[9].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[9].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[9].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[9].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[9].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[9].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[10].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[10].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[10].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[10].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[10].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[10].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[10].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[10].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[11].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[11].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[11].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[11].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[11].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[11].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[11].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[11].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[12].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[12].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[12].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[12].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[12].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[12].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[12].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[12].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[13].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[13].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[13].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[13].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[13].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[13].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[13].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[13].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[14].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[14].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[14].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[14].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[14].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[14].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[14].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[14].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[15].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[15].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[15].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[15].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[15].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[15].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[15].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[15].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[16].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[16].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[16].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[16].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[16].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[16].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[16].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[16].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[17].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[17].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[17].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[17].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[17].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[17].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[17].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[17].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[18].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[18].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[18].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[18].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[18].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[18].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[18].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[18].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[19].RX_FLOW_CONFIG_REG_A = CSL_SRIO_RX_FLOW_CONFIG_REG_A_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[19].RX_FLOW_CONFIG_REG_B = CSL_SRIO_RX_FLOW_CONFIG_REG_B_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[19].RX_FLOW_CONFIG_REG_C = CSL_SRIO_RX_FLOW_CONFIG_REG_C_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[19].RX_FLOW_CONFIG_REG_D = CSL_SRIO_RX_FLOW_CONFIG_REG_D_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[19].RX_FLOW_CONFIG_REG_E = CSL_SRIO_RX_FLOW_CONFIG_REG_E_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[19].RX_FLOW_CONFIG_REG_F = CSL_SRIO_RX_FLOW_CONFIG_REG_F_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[19].RX_FLOW_CONFIG_REG_G = CSL_SRIO_RX_FLOW_CONFIG_REG_G_RESETVAL;
    CSL_Srio_ResetVals.RX_FLOW_CONFIG[19].RX_FLOW_CONFIG_REG_H = CSL_SRIO_RX_FLOW_CONFIG_REG_H_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[0].RIO_SP_LM_REQ = CSL_SRIO_RIO_SP_LM_REQ_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[0].RIO_SP_LM_RESP = CSL_SRIO_RIO_SP_LM_RESP_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[0].RIO_SP_ACKID_STAT = CSL_SRIO_RIO_SP_ACKID_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[0].RIO_SP_CTL2 = CSL_SRIO_RIO_SP_CTL2_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[0].RIO_SP_ERR_STAT = CSL_SRIO_RIO_SP_ERR_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[0].RIO_SP_CTL = CSL_SRIO_RIO_SP_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[1].RIO_SP_LM_REQ = CSL_SRIO_RIO_SP_LM_REQ_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[1].RIO_SP_LM_RESP = CSL_SRIO_RIO_SP_LM_RESP_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[1].RIO_SP_ACKID_STAT = CSL_SRIO_RIO_SP_ACKID_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[1].RIO_SP_CTL2 = CSL_SRIO_RIO_SP_CTL2_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[1].RIO_SP_ERR_STAT = CSL_SRIO_RIO_SP_ERR_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[1].RIO_SP_CTL = CSL_SRIO_RIO_SP_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[2].RIO_SP_LM_REQ = CSL_SRIO_RIO_SP_LM_REQ_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[2].RIO_SP_LM_RESP = CSL_SRIO_RIO_SP_LM_RESP_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[2].RIO_SP_ACKID_STAT = CSL_SRIO_RIO_SP_ACKID_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[2].RIO_SP_CTL2 = CSL_SRIO_RIO_SP_CTL2_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[2].RIO_SP_ERR_STAT = CSL_SRIO_RIO_SP_ERR_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[2].RIO_SP_CTL = CSL_SRIO_RIO_SP_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[3].RIO_SP_LM_REQ = CSL_SRIO_RIO_SP_LM_REQ_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[3].RIO_SP_LM_RESP = CSL_SRIO_RIO_SP_LM_RESP_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[3].RIO_SP_ACKID_STAT = CSL_SRIO_RIO_SP_ACKID_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[3].RIO_SP_CTL2 = CSL_SRIO_RIO_SP_CTL2_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[3].RIO_SP_ERR_STAT = CSL_SRIO_RIO_SP_ERR_STAT_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP[3].RIO_SP_CTL = CSL_SRIO_RIO_SP_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[0].RIO_SP_ERR_DET = CSL_SRIO_RIO_SP_ERR_DET_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[0].RIO_SP_RATE_EN = CSL_SRIO_RIO_SP_RATE_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[0].RIO_SP_ERR_ATTR_CAPT = CSL_SRIO_RIO_SP_ERR_ATTR_CAPT_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[0].RIO_SP_ERR_CAPT_0 = CSL_SRIO_RIO_SP_ERR_CAPT_0_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[0].RIO_SP_ERR_CAPT_1 = CSL_SRIO_RIO_SP_ERR_CAPT_1_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[0].RIO_SP_ERR_CAPT_2 = CSL_SRIO_RIO_SP_ERR_CAPT_2_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[0].RIO_SP_ERR_CAPT_3 = CSL_SRIO_RIO_SP_ERR_CAPT_3_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[0].RIO_SP_ERR_RATE = CSL_SRIO_RIO_SP_ERR_RATE_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[0].RIO_SP_ERR_THRESH = CSL_SRIO_RIO_SP_ERR_THRESH_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[1].RIO_SP_ERR_DET = CSL_SRIO_RIO_SP_ERR_DET_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[1].RIO_SP_RATE_EN = CSL_SRIO_RIO_SP_RATE_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[1].RIO_SP_ERR_ATTR_CAPT = CSL_SRIO_RIO_SP_ERR_ATTR_CAPT_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[1].RIO_SP_ERR_CAPT_0 = CSL_SRIO_RIO_SP_ERR_CAPT_0_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[1].RIO_SP_ERR_CAPT_1 = CSL_SRIO_RIO_SP_ERR_CAPT_1_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[1].RIO_SP_ERR_CAPT_2 = CSL_SRIO_RIO_SP_ERR_CAPT_2_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[1].RIO_SP_ERR_CAPT_3 = CSL_SRIO_RIO_SP_ERR_CAPT_3_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[1].RIO_SP_ERR_RATE = CSL_SRIO_RIO_SP_ERR_RATE_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[1].RIO_SP_ERR_THRESH = CSL_SRIO_RIO_SP_ERR_THRESH_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[2].RIO_SP_ERR_DET = CSL_SRIO_RIO_SP_ERR_DET_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[2].RIO_SP_RATE_EN = CSL_SRIO_RIO_SP_RATE_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[2].RIO_SP_ERR_ATTR_CAPT = CSL_SRIO_RIO_SP_ERR_ATTR_CAPT_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[2].RIO_SP_ERR_CAPT_0 = CSL_SRIO_RIO_SP_ERR_CAPT_0_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[2].RIO_SP_ERR_CAPT_1 = CSL_SRIO_RIO_SP_ERR_CAPT_1_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[2].RIO_SP_ERR_CAPT_2 = CSL_SRIO_RIO_SP_ERR_CAPT_2_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[2].RIO_SP_ERR_CAPT_3 = CSL_SRIO_RIO_SP_ERR_CAPT_3_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[2].RIO_SP_ERR_RATE = CSL_SRIO_RIO_SP_ERR_RATE_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[2].RIO_SP_ERR_THRESH = CSL_SRIO_RIO_SP_ERR_THRESH_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[3].RIO_SP_ERR_DET = CSL_SRIO_RIO_SP_ERR_DET_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[3].RIO_SP_RATE_EN = CSL_SRIO_RIO_SP_RATE_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[3].RIO_SP_ERR_ATTR_CAPT = CSL_SRIO_RIO_SP_ERR_ATTR_CAPT_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[3].RIO_SP_ERR_CAPT_0 = CSL_SRIO_RIO_SP_ERR_CAPT_0_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[3].RIO_SP_ERR_CAPT_1 = CSL_SRIO_RIO_SP_ERR_CAPT_1_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[3].RIO_SP_ERR_CAPT_2 = CSL_SRIO_RIO_SP_ERR_CAPT_2_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[3].RIO_SP_ERR_CAPT_3 = CSL_SRIO_RIO_SP_ERR_CAPT_3_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[3].RIO_SP_ERR_RATE = CSL_SRIO_RIO_SP_ERR_RATE_RESETVAL;
    CSL_Srio_ResetVals.RIO_SP_ERR[3].RIO_SP_ERR_THRESH = CSL_SRIO_RIO_SP_ERR_THRESH_RESETVAL;
    CSL_Srio_ResetVals.RIO_LANE[0].RIO_LANE_STAT0 = CSL_SRIO_RIO_LANE_STAT0_RESETVAL;
    CSL_Srio_ResetVals.RIO_LANE[0].RIO_LANE_STAT1 = CSL_SRIO_RIO_LANE_STAT1_RESETVAL;
    CSL_Srio_ResetVals.RIO_LANE[1].RIO_LANE_STAT0 = CSL_SRIO_RIO_LANE_STAT0_RESETVAL;
    CSL_Srio_ResetVals.RIO_LANE[1].RIO_LANE_STAT1 = CSL_SRIO_RIO_LANE_STAT1_RESETVAL;
    CSL_Srio_ResetVals.RIO_LANE[2].RIO_LANE_STAT0 = CSL_SRIO_RIO_LANE_STAT0_RESETVAL;
    CSL_Srio_ResetVals.RIO_LANE[2].RIO_LANE_STAT1 = CSL_SRIO_RIO_LANE_STAT1_RESETVAL;
    CSL_Srio_ResetVals.RIO_LANE[3].RIO_LANE_STAT0 = CSL_SRIO_RIO_LANE_STAT0_RESETVAL;
    CSL_Srio_ResetVals.RIO_LANE[3].RIO_LANE_STAT1 = CSL_SRIO_RIO_LANE_STAT1_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_IMP_SPEC_CTL = CSL_SRIO_RIO_PLM_SP_IMP_SPEC_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_PWDN_CTL = CSL_SRIO_RIO_PLM_SP_PWDN_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_STATUS = CSL_SRIO_RIO_PLM_SP_STATUS_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_INT_ENABLE = CSL_SRIO_RIO_PLM_SP_INT_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_PW_ENABLE = CSL_SRIO_RIO_PLM_SP_PW_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_EVENT_GEN = CSL_SRIO_RIO_PLM_SP_EVENT_GEN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_ALL_INT_EN = CSL_SRIO_RIO_PLM_SP_ALL_INT_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_ALL_PW_EN = CSL_SRIO_RIO_PLM_SP_ALL_PW_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_PATH_CTL = CSL_SRIO_RIO_PLM_SP_PATH_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_DISCOVERY_TIMER = CSL_SRIO_RIO_PLM_SP_DISCOVERY_TIMER_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_SILENCE_TIMER = CSL_SRIO_RIO_PLM_SP_SILENCE_TIMER_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_VMIN_EXP = CSL_SRIO_RIO_PLM_SP_VMIN_EXP_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_POL_CTL = CSL_SRIO_RIO_PLM_SP_POL_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_DENIAL_CTL = CSL_SRIO_RIO_PLM_SP_DENIAL_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_RCVD_MECS = CSL_SRIO_RIO_PLM_SP_RCVD_MECS_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_MECS_FWD = CSL_SRIO_RIO_PLM_SP_MECS_FWD_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_LONG_CS_TX1 = CSL_SRIO_RIO_PLM_SP_LONG_CS_TX1_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[0].RIO_PLM_SP_LONG_CS_TX2 = CSL_SRIO_RIO_PLM_SP_LONG_CS_TX2_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_IMP_SPEC_CTL = CSL_SRIO_RIO_PLM_SP_IMP_SPEC_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_PWDN_CTL = CSL_SRIO_RIO_PLM_SP_PWDN_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_STATUS = CSL_SRIO_RIO_PLM_SP_STATUS_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_INT_ENABLE = CSL_SRIO_RIO_PLM_SP_INT_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_PW_ENABLE = CSL_SRIO_RIO_PLM_SP_PW_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_EVENT_GEN = CSL_SRIO_RIO_PLM_SP_EVENT_GEN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_ALL_INT_EN = CSL_SRIO_RIO_PLM_SP_ALL_INT_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_ALL_PW_EN = CSL_SRIO_RIO_PLM_SP_ALL_PW_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_PATH_CTL = CSL_SRIO_RIO_PLM_SP_PATH_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_DISCOVERY_TIMER = CSL_SRIO_RIO_PLM_SP_DISCOVERY_TIMER_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_SILENCE_TIMER = CSL_SRIO_RIO_PLM_SP_SILENCE_TIMER_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_VMIN_EXP = CSL_SRIO_RIO_PLM_SP_VMIN_EXP_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_POL_CTL = CSL_SRIO_RIO_PLM_SP_POL_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_DENIAL_CTL = CSL_SRIO_RIO_PLM_SP_DENIAL_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_RCVD_MECS = CSL_SRIO_RIO_PLM_SP_RCVD_MECS_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_MECS_FWD = CSL_SRIO_RIO_PLM_SP_MECS_FWD_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_LONG_CS_TX1 = CSL_SRIO_RIO_PLM_SP_LONG_CS_TX1_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[1].RIO_PLM_SP_LONG_CS_TX2 = CSL_SRIO_RIO_PLM_SP_LONG_CS_TX2_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_IMP_SPEC_CTL = CSL_SRIO_RIO_PLM_SP_IMP_SPEC_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_PWDN_CTL = CSL_SRIO_RIO_PLM_SP_PWDN_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_STATUS = CSL_SRIO_RIO_PLM_SP_STATUS_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_INT_ENABLE = CSL_SRIO_RIO_PLM_SP_INT_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_PW_ENABLE = CSL_SRIO_RIO_PLM_SP_PW_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_EVENT_GEN = CSL_SRIO_RIO_PLM_SP_EVENT_GEN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_ALL_INT_EN = CSL_SRIO_RIO_PLM_SP_ALL_INT_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_ALL_PW_EN = CSL_SRIO_RIO_PLM_SP_ALL_PW_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_PATH_CTL = CSL_SRIO_RIO_PLM_SP_PATH_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_DISCOVERY_TIMER = CSL_SRIO_RIO_PLM_SP_DISCOVERY_TIMER_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_SILENCE_TIMER = CSL_SRIO_RIO_PLM_SP_SILENCE_TIMER_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_VMIN_EXP = CSL_SRIO_RIO_PLM_SP_VMIN_EXP_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_POL_CTL = CSL_SRIO_RIO_PLM_SP_POL_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_DENIAL_CTL = CSL_SRIO_RIO_PLM_SP_DENIAL_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_RCVD_MECS = CSL_SRIO_RIO_PLM_SP_RCVD_MECS_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_MECS_FWD = CSL_SRIO_RIO_PLM_SP_MECS_FWD_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_LONG_CS_TX1 = CSL_SRIO_RIO_PLM_SP_LONG_CS_TX1_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[2].RIO_PLM_SP_LONG_CS_TX2 = CSL_SRIO_RIO_PLM_SP_LONG_CS_TX2_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_IMP_SPEC_CTL = CSL_SRIO_RIO_PLM_SP_IMP_SPEC_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_PWDN_CTL = CSL_SRIO_RIO_PLM_SP_PWDN_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_STATUS = CSL_SRIO_RIO_PLM_SP_STATUS_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_INT_ENABLE = CSL_SRIO_RIO_PLM_SP_INT_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_PW_ENABLE = CSL_SRIO_RIO_PLM_SP_PW_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_EVENT_GEN = CSL_SRIO_RIO_PLM_SP_EVENT_GEN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_ALL_INT_EN = CSL_SRIO_RIO_PLM_SP_ALL_INT_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_ALL_PW_EN = CSL_SRIO_RIO_PLM_SP_ALL_PW_EN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_PATH_CTL = CSL_SRIO_RIO_PLM_SP_PATH_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_DISCOVERY_TIMER = CSL_SRIO_RIO_PLM_SP_DISCOVERY_TIMER_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_SILENCE_TIMER = CSL_SRIO_RIO_PLM_SP_SILENCE_TIMER_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_VMIN_EXP = CSL_SRIO_RIO_PLM_SP_VMIN_EXP_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_POL_CTL = CSL_SRIO_RIO_PLM_SP_POL_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_DENIAL_CTL = CSL_SRIO_RIO_PLM_SP_DENIAL_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_RCVD_MECS = CSL_SRIO_RIO_PLM_SP_RCVD_MECS_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_MECS_FWD = CSL_SRIO_RIO_PLM_SP_MECS_FWD_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_LONG_CS_TX1 = CSL_SRIO_RIO_PLM_SP_LONG_CS_TX1_RESETVAL;
    CSL_Srio_ResetVals.RIO_PLM[3].RIO_PLM_SP_LONG_CS_TX2 = CSL_SRIO_RIO_PLM_SP_LONG_CS_TX2_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].RIO_TLM_SP_CONTROL = CSL_SRIO_RIO_TLM_SP_CONTROL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].RIO_TLM_SP_STATUS = CSL_SRIO_RIO_TLM_SP_STATUS_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].RIO_TLM_SP_INT_ENABLE = CSL_SRIO_RIO_TLM_SP_INT_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].RIO_TLM_SP_PW_ENABLE = CSL_SRIO_RIO_TLM_SP_PW_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].RIO_TLM_SP_EVENT_GEN = CSL_SRIO_RIO_TLM_SP_EVENT_GEN_RESETVAL;
#ifdef CSL_MODIFICATION
    CSL_Srio_ResetVals.RIO_TLM[0].RIO_TLM_SP_BRR_0_CTL = CSL_SRIO_RIO_TLM_SP_BRR_0_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].RIO_TLM_SP_BRR_0_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_0_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].RIO_TLM_SP_BRR_1_CTL = CSL_SRIO_RIO_TLM_SP_BRR_1_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].RIO_TLM_SP_BRR_1_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_1_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].RIO_TLM_SP_BRR_2_CTL = CSL_SRIO_RIO_TLM_SP_BRR_2_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].RIO_TLM_SP_BRR_2_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_2_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].RIO_TLM_SP_BRR_3_CTL = CSL_SRIO_RIO_TLM_SP_BRR_3_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].RIO_TLM_SP_BRR_3_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_3_PATTERN_MATCH_RESETVAL;
#else
    CSL_Srio_ResetVals.RIO_TLM[0].brr[0].RIO_TLM_SP_BRR_CTL = CSL_SRIO_RIO_TLM_SP_BRR_0_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].brr[0].RIO_TLM_SP_BRR_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_0_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].brr[1].RIO_TLM_SP_BRR_CTL = CSL_SRIO_RIO_TLM_SP_BRR_1_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].brr[1].RIO_TLM_SP_BRR_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_1_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].brr[2].RIO_TLM_SP_BRR_CTL = CSL_SRIO_RIO_TLM_SP_BRR_2_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].brr[2].RIO_TLM_SP_BRR_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_2_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].brr[3].RIO_TLM_SP_BRR_CTL = CSL_SRIO_RIO_TLM_SP_BRR_3_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[0].brr[3].RIO_TLM_SP_BRR_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_3_PATTERN_MATCH_RESETVAL;
#endif
    CSL_Srio_ResetVals.RIO_TLM[1].RIO_TLM_SP_CONTROL = CSL_SRIO_RIO_TLM_SP_CONTROL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].RIO_TLM_SP_STATUS = CSL_SRIO_RIO_TLM_SP_STATUS_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].RIO_TLM_SP_INT_ENABLE = CSL_SRIO_RIO_TLM_SP_INT_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].RIO_TLM_SP_PW_ENABLE = CSL_SRIO_RIO_TLM_SP_PW_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].RIO_TLM_SP_EVENT_GEN = CSL_SRIO_RIO_TLM_SP_EVENT_GEN_RESETVAL;
#ifdef CSL_MODIFICATION
    CSL_Srio_ResetVals.RIO_TLM[1].RIO_TLM_SP_BRR_0_CTL = CSL_SRIO_RIO_TLM_SP_BRR_0_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].RIO_TLM_SP_BRR_0_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_0_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].RIO_TLM_SP_BRR_1_CTL = CSL_SRIO_RIO_TLM_SP_BRR_1_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].RIO_TLM_SP_BRR_1_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_1_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].RIO_TLM_SP_BRR_2_CTL = CSL_SRIO_RIO_TLM_SP_BRR_2_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].RIO_TLM_SP_BRR_2_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_2_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].RIO_TLM_SP_BRR_3_CTL = CSL_SRIO_RIO_TLM_SP_BRR_3_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].RIO_TLM_SP_BRR_3_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_3_PATTERN_MATCH_RESETVAL;
#else
    CSL_Srio_ResetVals.RIO_TLM[1].brr[0].RIO_TLM_SP_BRR_CTL = CSL_SRIO_RIO_TLM_SP_BRR_0_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].brr[0].RIO_TLM_SP_BRR_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_0_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].brr[1].RIO_TLM_SP_BRR_CTL = CSL_SRIO_RIO_TLM_SP_BRR_1_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].brr[1].RIO_TLM_SP_BRR_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_1_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].brr[2].RIO_TLM_SP_BRR_CTL = CSL_SRIO_RIO_TLM_SP_BRR_2_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].brr[2].RIO_TLM_SP_BRR_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_2_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].brr[3].RIO_TLM_SP_BRR_CTL = CSL_SRIO_RIO_TLM_SP_BRR_3_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[1].brr[3].RIO_TLM_SP_BRR_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_3_PATTERN_MATCH_RESETVAL;
#endif
    CSL_Srio_ResetVals.RIO_TLM[2].RIO_TLM_SP_CONTROL = CSL_SRIO_RIO_TLM_SP_CONTROL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].RIO_TLM_SP_STATUS = CSL_SRIO_RIO_TLM_SP_STATUS_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].RIO_TLM_SP_INT_ENABLE = CSL_SRIO_RIO_TLM_SP_INT_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].RIO_TLM_SP_PW_ENABLE = CSL_SRIO_RIO_TLM_SP_PW_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].RIO_TLM_SP_EVENT_GEN = CSL_SRIO_RIO_TLM_SP_EVENT_GEN_RESETVAL;
#ifdef CSL_MODIFICATION
    CSL_Srio_ResetVals.RIO_TLM[2].RIO_TLM_SP_BRR_0_CTL = CSL_SRIO_RIO_TLM_SP_BRR_0_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].RIO_TLM_SP_BRR_0_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_0_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].RIO_TLM_SP_BRR_1_CTL = CSL_SRIO_RIO_TLM_SP_BRR_1_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].RIO_TLM_SP_BRR_1_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_1_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].RIO_TLM_SP_BRR_2_CTL = CSL_SRIO_RIO_TLM_SP_BRR_2_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].RIO_TLM_SP_BRR_2_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_2_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].RIO_TLM_SP_BRR_3_CTL = CSL_SRIO_RIO_TLM_SP_BRR_3_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].RIO_TLM_SP_BRR_3_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_3_PATTERN_MATCH_RESETVAL;
#else
    CSL_Srio_ResetVals.RIO_TLM[2].brr[0].RIO_TLM_SP_BRR_CTL = CSL_SRIO_RIO_TLM_SP_BRR_0_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].brr[0].RIO_TLM_SP_BRR_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_0_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].brr[1].RIO_TLM_SP_BRR_CTL = CSL_SRIO_RIO_TLM_SP_BRR_1_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].brr[1].RIO_TLM_SP_BRR_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_1_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].brr[2].RIO_TLM_SP_BRR_CTL = CSL_SRIO_RIO_TLM_SP_BRR_2_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].brr[2].RIO_TLM_SP_BRR_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_2_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].brr[3].RIO_TLM_SP_BRR_CTL = CSL_SRIO_RIO_TLM_SP_BRR_3_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[2].brr[3].RIO_TLM_SP_BRR_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_3_PATTERN_MATCH_RESETVAL;
#endif
    CSL_Srio_ResetVals.RIO_TLM[3].RIO_TLM_SP_CONTROL = CSL_SRIO_RIO_TLM_SP_CONTROL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].RIO_TLM_SP_STATUS = CSL_SRIO_RIO_TLM_SP_STATUS_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].RIO_TLM_SP_INT_ENABLE = CSL_SRIO_RIO_TLM_SP_INT_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].RIO_TLM_SP_PW_ENABLE = CSL_SRIO_RIO_TLM_SP_PW_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].RIO_TLM_SP_EVENT_GEN = CSL_SRIO_RIO_TLM_SP_EVENT_GEN_RESETVAL;
#ifdef CSL_MODIFICATION
    CSL_Srio_ResetVals.RIO_TLM[3].RIO_TLM_SP_BRR_0_CTL = CSL_SRIO_RIO_TLM_SP_BRR_0_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].RIO_TLM_SP_BRR_0_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_0_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].RIO_TLM_SP_BRR_1_CTL = CSL_SRIO_RIO_TLM_SP_BRR_1_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].RIO_TLM_SP_BRR_1_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_1_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].RIO_TLM_SP_BRR_2_CTL = CSL_SRIO_RIO_TLM_SP_BRR_2_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].RIO_TLM_SP_BRR_2_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_2_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].RIO_TLM_SP_BRR_3_CTL = CSL_SRIO_RIO_TLM_SP_BRR_3_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].RIO_TLM_SP_BRR_3_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_3_PATTERN_MATCH_RESETVAL;
#else
    CSL_Srio_ResetVals.RIO_TLM[3].brr[0].RIO_TLM_SP_BRR_CTL = CSL_SRIO_RIO_TLM_SP_BRR_0_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].brr[0].RIO_TLM_SP_BRR_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_0_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].brr[1].RIO_TLM_SP_BRR_CTL = CSL_SRIO_RIO_TLM_SP_BRR_1_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].brr[1].RIO_TLM_SP_BRR_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_1_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].brr[2].RIO_TLM_SP_BRR_CTL = CSL_SRIO_RIO_TLM_SP_BRR_2_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].brr[2].RIO_TLM_SP_BRR_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_2_PATTERN_MATCH_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].brr[3].RIO_TLM_SP_BRR_CTL = CSL_SRIO_RIO_TLM_SP_BRR_3_CTL_RESETVAL;
    CSL_Srio_ResetVals.RIO_TLM[3].brr[3].RIO_TLM_SP_BRR_PATTERN_MATCH = CSL_SRIO_RIO_TLM_SP_BRR_3_PATTERN_MATCH_RESETVAL;
#endif
    CSL_Srio_ResetVals.RIO_PBM[0].RIO_PBM_SP_CONTROL = CSL_SRIO_RIO_PBM_SP_CONTROL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[0].RIO_PBM_SP_STATUS = CSL_SRIO_RIO_PBM_SP_STATUS_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[0].RIO_PBM_SP_INT_ENABLE = CSL_SRIO_RIO_PBM_SP_INT_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[0].RIO_PBM_SP_PW_ENABLE = CSL_SRIO_RIO_PBM_SP_PW_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[0].RIO_PBM_SP_EVENT_GEN = CSL_SRIO_RIO_PBM_SP_EVENT_GEN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[0].RIO_PBM_SP_IG_RESOURCES = CSL_SRIO_RIO_PBM_SP_IG_RESOURCES_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[0].RIO_PBM_SP_EG_RESOURCES = CSL_SRIO_RIO_PBM_SP_EG_RESOURCES_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[0].RIO_PBM_SP_IG_WATERMARK0 = CSL_SRIO_RIO_PBM_SP_IG_WATERMARK0_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[0].RIO_PBM_SP_IG_WATERMARK1 = CSL_SRIO_RIO_PBM_SP_IG_WATERMARK1_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[0].RIO_PBM_SP_IG_WATERMARK2 = CSL_SRIO_RIO_PBM_SP_IG_WATERMARK2_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[0].RIO_PBM_SP_IG_WATERMARK3 = CSL_SRIO_RIO_PBM_SP_IG_WATERMARK3_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[1].RIO_PBM_SP_CONTROL = CSL_SRIO_RIO_PBM_SP_CONTROL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[1].RIO_PBM_SP_STATUS = CSL_SRIO_RIO_PBM_SP_STATUS_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[1].RIO_PBM_SP_INT_ENABLE = CSL_SRIO_RIO_PBM_SP_INT_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[1].RIO_PBM_SP_PW_ENABLE = CSL_SRIO_RIO_PBM_SP_PW_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[1].RIO_PBM_SP_EVENT_GEN = CSL_SRIO_RIO_PBM_SP_EVENT_GEN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[1].RIO_PBM_SP_IG_RESOURCES = CSL_SRIO_RIO_PBM_SP_IG_RESOURCES_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[1].RIO_PBM_SP_EG_RESOURCES = CSL_SRIO_RIO_PBM_SP_EG_RESOURCES_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[1].RIO_PBM_SP_IG_WATERMARK0 = CSL_SRIO_RIO_PBM_SP_IG_WATERMARK0_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[1].RIO_PBM_SP_IG_WATERMARK1 = CSL_SRIO_RIO_PBM_SP_IG_WATERMARK1_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[1].RIO_PBM_SP_IG_WATERMARK2 = CSL_SRIO_RIO_PBM_SP_IG_WATERMARK2_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[1].RIO_PBM_SP_IG_WATERMARK3 = CSL_SRIO_RIO_PBM_SP_IG_WATERMARK3_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[2].RIO_PBM_SP_CONTROL = CSL_SRIO_RIO_PBM_SP_CONTROL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[2].RIO_PBM_SP_STATUS = CSL_SRIO_RIO_PBM_SP_STATUS_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[2].RIO_PBM_SP_INT_ENABLE = CSL_SRIO_RIO_PBM_SP_INT_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[2].RIO_PBM_SP_PW_ENABLE = CSL_SRIO_RIO_PBM_SP_PW_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[2].RIO_PBM_SP_EVENT_GEN = CSL_SRIO_RIO_PBM_SP_EVENT_GEN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[2].RIO_PBM_SP_IG_RESOURCES = CSL_SRIO_RIO_PBM_SP_IG_RESOURCES_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[2].RIO_PBM_SP_EG_RESOURCES = CSL_SRIO_RIO_PBM_SP_EG_RESOURCES_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[2].RIO_PBM_SP_IG_WATERMARK0 = CSL_SRIO_RIO_PBM_SP_IG_WATERMARK0_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[2].RIO_PBM_SP_IG_WATERMARK1 = CSL_SRIO_RIO_PBM_SP_IG_WATERMARK1_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[2].RIO_PBM_SP_IG_WATERMARK2 = CSL_SRIO_RIO_PBM_SP_IG_WATERMARK2_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[2].RIO_PBM_SP_IG_WATERMARK3 = CSL_SRIO_RIO_PBM_SP_IG_WATERMARK3_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[3].RIO_PBM_SP_CONTROL = CSL_SRIO_RIO_PBM_SP_CONTROL_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[3].RIO_PBM_SP_STATUS = CSL_SRIO_RIO_PBM_SP_STATUS_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[3].RIO_PBM_SP_INT_ENABLE = CSL_SRIO_RIO_PBM_SP_INT_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[3].RIO_PBM_SP_PW_ENABLE = CSL_SRIO_RIO_PBM_SP_PW_ENABLE_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[3].RIO_PBM_SP_EVENT_GEN = CSL_SRIO_RIO_PBM_SP_EVENT_GEN_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[3].RIO_PBM_SP_IG_RESOURCES = CSL_SRIO_RIO_PBM_SP_IG_RESOURCES_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[3].RIO_PBM_SP_EG_RESOURCES = CSL_SRIO_RIO_PBM_SP_EG_RESOURCES_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[3].RIO_PBM_SP_IG_WATERMARK0 = CSL_SRIO_RIO_PBM_SP_IG_WATERMARK0_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[3].RIO_PBM_SP_IG_WATERMARK1 = CSL_SRIO_RIO_PBM_SP_IG_WATERMARK1_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[3].RIO_PBM_SP_IG_WATERMARK2 = CSL_SRIO_RIO_PBM_SP_IG_WATERMARK2_RESETVAL;
    CSL_Srio_ResetVals.RIO_PBM[3].RIO_PBM_SP_IG_WATERMARK3 = CSL_SRIO_RIO_PBM_SP_IG_WATERMARK3_RESETVAL;
    return ((void *)&CSL_Srio_ResetVals);
}
